<?php

// Exit if accessed directly
if( !defined( 'ABSPATH' ) ) {
	exit;
}



// Speakers shortcode
add_shortcode('speakers', 'shortcode_speakers');
function shortcode_speakers($atts, $content=null){
    global $xevent_var;
    $atts = vc_map_get_attributes( 'speakers', $atts );
    $atts = shortcode_atts(
        array(        
        'filter_tag'  => '',
        'display_jobtitle' => '',
        'display_company' => '',
        'speaker_row_items' => '',
        'sort_speaker' => '',
        'zero_gap' => '',
        'figcaption_gradient' => '',
        'load_more' => '',
    ), $atts);

    $speaker_row_items = '';
    if($atts['speaker_row_items'] == 'col-md-4') $speaker_row_items = 'col-md-4 col-sm-4 col-xs-12';
    if($atts['speaker_row_items'] == 'col-md-3') $speaker_row_items = 'col-md-3 col-sm-3 col-xs-12';
    if($atts['speaker_row_items'] == 'column-5') $speaker_row_items = 'column-5';
    if($atts['speaker_row_items'] == 'col-md-2') $speaker_row_items = 'col-md-2 col-sm-4 col-xs-12';

    $number = '';
    if($atts['speaker_row_items'] == 'col-md-4') $number = '3';
    if($atts['speaker_row_items'] == 'col-md-3') $number = '4';
    if($atts['speaker_row_items'] == 'column-5') $number = '5';
    if($atts['speaker_row_items'] == 'col-md-2') $number = '6';


    $sort_speaker = '';
    if($atts['sort_speaker'] == 'none') $sort_speaker = 'none';
    if($atts['sort_speaker'] == 'title') $sort_speaker = 'title';
    if($atts['sort_speaker'] == 'rand') $sort_speaker = 'rand';

    $zero_gap = '';
    if($atts['zero_gap'] == 'yes') {
        $zero_gap = 'no-padding';
    }

    $figcaption_gradient = '';
    if($atts['figcaption_gradient'] == 'yes') {
        $figcaption_gradient = 'class="gradient-bg"';
    }

    $html ='';
    $html .= '<section id="speakers-grid">';
    $html .= '<div class="row">';
        $args = array('post_type' => 'speaker', 'posts_per_page'=> '-1', 'orderby' => $sort_speaker,  'tag'=> $atts['filter_tag'], 'order' =>'ASC');
        $speakers = new WP_QUery($args);
        global $post; 
        if($speakers->have_posts()):
            while($speakers->have_posts()): $speakers->the_post();

            $thumbnail_url = wp_get_attachment_url(get_post_thumbnail_id());
            $attachment_id = wp_get_attachment_image( get_the_ID());
            $image_alt = get_the_title($attachment_id);

            $speaker_job = get_post_meta($post->ID, "tc_speaker_job", true);
            $speaker_company = get_post_meta($post->ID, "tc_speaker_company", true);
            $speaker_website = get_post_meta($post->ID, "tc_speaker_website", true);
            $featured_speaker = get_post_meta($post-> ID, "tc_featured_speaker", true);
            

                $html .= '<div class="'.$speaker_row_items.' '.$zero_gap.'">
                    <div class="speaker-thumb">
                     <a class="html-popup" href="'.get_permalink().'">
                        <figure class="effect-zoe">';
                            if (($featured_speaker) && ($xevent_var['speaker_badge']) ){
                  $html .= '<span class="featured-speaker">'.$xevent_var['badge_text'].'</span>';}
                  $html .= '<img class="img-responsive" src="'.$thumbnail_url.'" alt="'.$image_alt.'">
                            <figcaption '.$figcaption_gradient.'>
                                <h3>'.get_the_title().'</h3>
                                <p class="company">';
                                    if($atts['display_company'] == 'yes' ){ $html .=''.$speaker_company.'<br>';}
                                    if($atts['display_jobtitle'] == 'yes' ){ $html .=''.$speaker_job.'';}
                                    
                      $html .= '</p>
                            </figcaption>  
                            
                        </figure>
                    </a>
                    </div>
                </div>';

            endwhile;
        endif;

        if ($atts['load_more'] == 'yes') { 

        $html .='<br><div class="col-lg-12 loadmore text-center">
            <a href="#" id="load-more" class="common-button common-button-dark">'.__('LOAD MORE', 'xevent').'</a>
          </div>';

        $html .='
            <script>
            jQuery(document).ready(function($){
                "use strict";
                 $("#speakers-grid .speaker-thumb").css({"display":"none"});
                $("div.speaker-thumb").slice(0, '.$number.').show();
                $("#load-more").on("click", function (e) {
                    e.preventDefault();
                    $("div.speaker-thumb:hidden").slice(0, '.$number.').slideDown();
                    if ($("div.speaker-thumb:hidden").length === 0) {
                        $("#load-more").replaceWith(\'<p id="load-more" class="common-button common-button-dark passed">No More</p>\');
                        $("#load-more").css("visibility", "hidden").fadeOut("slow");
                    }
                });
            });                                  
            </script>';
    ;} 

    $html .= '</div></section>';
    return $html;
}


if(function_exists('vc_map')){

vc_map( array(
   "name" => __("Speakers List", 'xevent'),
   "base" => "speakers",
   "class" => "",
   "category" => __("ThemeCube Shortcodes", 'xevent'),
   "icon" => get_template_directory_uri().'/img/vc_icons/tc_speaker.png',
   "description" => __('Add speakers','xevent'),
   "params" => array(
    array(
        "type" => "dropdown",
        "class" => "",
        "heading" => __("How many items in a row?",'xevent'),
        "param_name" => "speaker_row_items",
        "value" => array(   
            __('3 items', 'xevent') => 'col-md-4',
            __('4 items', 'xevent') => 'col-md-3',
            __('5 items', 'xevent') => 'column-5',
            __('6 items', 'xevent') => 'col-md-2',
        ),
        "std" => "col-md-4",
    ),
    array(
        "type" => "dropdown",
        "class" => "",
        "heading" => __("Sort items by",'xevent'),
        "param_name" => "sort_speaker",
        "value" => array(   
            __('None', 'xevent') => 'none',
            __('Name', 'xevent') => 'title',
            __('Random', 'xevent') => 'rand',
        ),
        "std" => "col-md-4",
    ),
    array(
        'type' => 'checkbox',
        'heading' => __( 'Show load more button', 'xevent' ),
        'param_name' => 'load_more',
        'value' => array( __( 'Yes', 'xevent' ) => 'yes' ),
    ),
    array(
        'type' => 'checkbox',
        'heading' => __( 'Zero gap between items?', 'xevent' ),
        'param_name' => 'zero_gap',
        'value' => array( __( 'Yes', 'xevent' ) => 'yes' ),
    ),
    array(
        'type' => 'checkbox',
        'heading' => __( 'Display Company', 'xevent' ),
        'param_name' => 'display_company',
        'value' => array( __( 'Yes', 'xevent' ) => 'yes' ),
    ),
    array(
        'type' => 'checkbox',
        'heading' => __( 'Display Job Title', 'xevent' ),
        'param_name' => 'display_jobtitle',
        'value' => array( __( 'Yes', 'xevent' ) => 'yes' ),
    ),
    array(
        'type' => 'checkbox',
        'heading' => __( 'Gradient hover background', 'xevent' ),
        'param_name' => 'figcaption_gradient',
        'value' => array( __( 'Yes', 'xevent' ) => 'yes' ),
    ),
    array(
        "type" => "textfield",
        "holder" => "div",
        "class" => "",
        "heading" => __("Filter by tag",'xevent'),
        "param_name" => "filter_tag",
        "value" => "",
        "description" => __('Such as speaker, chair, keynote','xevent'),
    )
     
   )
) );

}

// End Speakers shortcode


// Featured Speakers shortcode
add_shortcode('featured_speakers', 'shortcode_featured_speakers');
function shortcode_featured_speakers($atts, $content=null){
    $atts = vc_map_get_attributes( 'featured_speakers', $atts );
    $atts = shortcode_atts(
        array(        
        'filter_tag'  => '',
        'display_jobtitle' => '',
        'display_company' => '',
        'speaker_row_items' => '',
        'sort_speaker' => '',
        'zero_gap' => '',
        'figcaption_gradient' => '',
        'load_more' => '',
    ), $atts);

    $speaker_row_items = '';
    if($atts['speaker_row_items'] == 'col-md-4') $speaker_row_items = 'col-md-4 col-sm-4';
    if($atts['speaker_row_items'] == 'col-md-3') $speaker_row_items = 'col-md-3 col-sm-4';
    if($atts['speaker_row_items'] == 'column-5') $speaker_row_items = 'column-5 ';
    if($atts['speaker_row_items'] == 'col-md-2') $speaker_row_items = 'col-md-2 col-sm-4';

    $number = '';
    if($atts['speaker_row_items'] == 'col-md-4') $number = '3';
    if($atts['speaker_row_items'] == 'col-md-3') $number = '4';
    if($atts['speaker_row_items'] == 'column-5') $number = '5';
    if($atts['speaker_row_items'] == 'col-md-2') $number = '6';


    $sort_speaker = '';
    if($atts['sort_speaker'] == 'none') $sort_speaker = 'none';
    if($atts['sort_speaker'] == 'title') $sort_speaker = 'title';
    if($atts['sort_speaker'] == 'rand') $sort_speaker = 'rand';

    $zero_gap = '';
    if($atts['zero_gap'] == 'yes') {
        $zero_gap = 'no-padding';
    }

    $figcaption_gradient = '';
    if($atts['figcaption_gradient'] == 'yes') {
        $figcaption_gradient = 'class="gradient-bg"';
    }

    $html ='';
    $html .= '<section id="speakers-grid">';
    $html .= '<div class="row">';
        $args = array('post_type' => 'speaker', 'posts_per_page'=> '-1', 'orderby' => $sort_speaker, 'meta_key'=> 'tc_featured_speaker',   /*'tag'=> $atts['filter_tag'],*/ 'order' =>'ASC');
        $speakers = new WP_QUery($args);
        global $post; 
        if($speakers->have_posts()):
            while($speakers->have_posts()): $speakers->the_post();

            $thumbnail_url = wp_get_attachment_url(get_post_thumbnail_id());

            $attachment_id = wp_get_attachment_image( get_the_ID());
            $image_alt = get_the_title($attachment_id);          

            $speaker_job = get_post_meta($post->ID, "tc_speaker_job", true);
            $speaker_company = get_post_meta($post->ID, "tc_speaker_company", true);
            $speaker_website = get_post_meta($post->ID, "tc_speaker_website", true);
            $featured_speaker = get_post_meta($post-> ID, "tc_featured_speaker", true);


            

                $html .= '<div class="'.$speaker_row_items.' '.$zero_gap.'">
                    <div class="speaker-thumb">
                     <a class="html-popup" href="'.get_permalink().'">
                        <figure class="effect-zoe">
                            <img class="img-responsive" src="'.$thumbnail_url.'" alt="'.$image_alt.'">
                            <figcaption '.$figcaption_gradient.'>
                                <h3>'.get_the_title().'</h3>
                                <p class="company">';
                                    if($atts['display_company'] == 'yes' ){ $html .=''.$speaker_company.'<br>';}
                                    if($atts['display_jobtitle'] == 'yes' ){ $html .=''.$speaker_job.'';}
                                    
                      $html .= '</p>
                            </figcaption>  
                            
                        </figure>
                    </a>
                    </div>
                </div>';

            endwhile;
        endif;

        if ($atts['load_more'] == 'yes') { 

        $html .='<div class="col-lg-12 text-center">
            <a href="#" id="load-more" class="common-button common-button-dark">'.__('LOAD MORE', 'xevent').'</a>
          </div>';

        $html .='
            <style>
                #speakers-grid .speaker-thumb { display:none; }
            </style>
            <script>
            jQuery(document).ready(function($){
                "use strict";
                $("div.speaker-thumb").slice(0, '.$number.').show();
                $("#load-more").on("click", function (e) {
                    e.preventDefault();
                    $("div.speaker-thumb:hidden").slice(0, '.$number.').slideDown();
                    if ($("div.speaker-thumb:hidden").length === 0) {
                        $("#load-more").replaceWith(\'<p id="load-more" class="common-button common-button-dark passed">No More</p>\');
                        $("#load-more").css("visibility", "hidden").fadeOut("slow");
                    }
                });
            });                                  
            </script>';
    ;}

    $html .= '</div></section>';
    return $html;
}


if(function_exists('vc_map')){

vc_map( array(
   "name" => __("Featured Speakers", 'xevent'),
   "base" => "featured_speakers",
   "class" => "",
   "category" => __("ThemeCube Shortcodes", 'xevent'),
   "icon" => get_template_directory_uri().'/img/vc_icons/tc_featured_speaker.png',
   "params" => array(
    array(
        "type" => "dropdown",
        "class" => "",
        "heading" => __("How many items in a row?",'xevent'),
        "param_name" => "speaker_row_items",
        "value" => array(   
            __('3 items', 'xevent') => 'col-md-4',
            __('4 items', 'xevent') => 'col-md-3',
            __('5 items', 'xevent') => 'column-5',
            __('6 items', 'xevent') => 'col-md-2',
        ),
        "std" => "col-md-4",
    ),
    array(
        "type" => "dropdown",
        "class" => "",
        "heading" => __("Sort items by",'xevent'),
        "param_name" => "sort_speaker",
        "value" => array(   
            __('None', 'xevent') => 'none',
            __('Name', 'xevent') => 'title',
            __('Random', 'xevent') => 'rand',
        ),
        "std" => "col-md-4",
    ),
    array(
        'type' => 'checkbox',
        'heading' => __( 'Show load more button', 'xevent' ),
        'param_name' => 'load_more',
        'value' => array( __( 'Yes', 'xevent' ) => 'yes' ),
    ),
    array(
        'type' => 'checkbox',
        'heading' => __( 'Zero gap between items?', 'xevent' ),
        'param_name' => 'zero_gap',
        'value' => array( __( 'Yes', 'xevent' ) => 'yes' ),
    ),
    array(
        'type' => 'checkbox',
        'heading' => __( 'Display Company', 'xevent' ),
        'param_name' => 'display_company',
        'value' => array( __( 'Yes', 'xevent' ) => 'yes' ),
    ),
    array(
        'type' => 'checkbox',
        'heading' => __( 'Display Job Title', 'xevent' ),
        'param_name' => 'display_jobtitle',
        'value' => array( __( 'Yes', 'xevent' ) => 'yes' ),
    ),
    array(
        'type' => 'checkbox',
        'heading' => __( 'Gradient hover background', 'xevent' ),
        'param_name' => 'figcaption_gradient',
        'value' => array( __( 'Yes', 'xevent' ) => 'yes' ),
    ),
     
   )
) );

}

// End Featured Speakers shortcode


// Countdown Shortcode
add_shortcode('countdown', 'shortcode_countdown');
function shortcode_countdown($atts, $content=null){
     $atts = shortcode_atts(
        array(
        'date'                  =>'',
        'field_days'            =>'',
        'color_field_days'      =>'',
        'field_hours'           =>'',
        'color_field_hours'     =>'',
        'field_minutes'         =>'',
        'color_field_minutes'   =>'',
        'field_seconds'         =>'',
        'color_field_seconds'   =>'',
        'number_color'          =>'',
        'text_color'            =>'',
        
    ), $atts);

    $html ='';
    
    $html .='<div id="DateCountdown" data-date="'.$atts['date'].'" style="width: 100%;">';
    $html .='</div>';
    $html .='<script>
            jQuery(document).ready(function($){
                $("#DateCountdown").TimeCircles({
                    "animation": "smooth",
                    "use_background": false,
                    "bg_width": 0,
                    "fg_width": 0,
                    
                    "time": {
                        "Days": {
                            "text": "'.$atts['field_days'].'",
                            "color": "'.$atts['color_field_days'].'",
                            "show": true
                        },
                        "Hours": {
                            "text": "'.$atts['field_hours'].'",
                            "color": "'.$atts['color_field_hours'].'",
                            "show": true
                        },
                        "Minutes": {
                            "text": "'.$atts['field_minutes'].'",
                            "color": "'.$atts['color_field_minutes'].'",
                            "show": true
                        },
                        "Seconds": {
                            "text": "'.$atts['field_seconds'].'",
                            "color": "'.$atts['color_field_seconds'].'",
                            "show": true
                        }
                    }
                });
                $(".time_circles div span").css({"color":"'.$atts['number_color'].'"});
                $(".time_circles div h4").css({"color":"'.$atts['text_color'].'"});
                });                                   
            ';
    $html .='</script>';
    
                
    return $html;
}


if(function_exists('vc_map')){

vc_map( array(
   "name" => __("Countdown", 'xevent'),
   "base" => "countdown",
   "class" => "",
   "category" => __("ThemeCube Shortcodes", 'xevent'),
   "icon" => get_template_directory_uri().'/img/vc_icons/tc_countdown.png',
   "params" => array(
    array(
        "type" => "textfield",
        "holder" => "div",
        "class" => "",
        "heading" => __("Date",'xevent'),
        "param_name" => "date",
        "value" => "",
                "description" => __('Please enter a date like this format 2020/12/18 00:00:00','xevent'),
    ),
    array(
        "type" => "colorpicker",
        "class" => "",
        "heading" => __("Numbers Color",'xevent'),
        "param_name" => "number_color",
        "value" => "#545454",
    ),
    array(
        "type" => "colorpicker",
        "class" => "",
        "heading" => __("Text Color",'xevent'),
        "param_name" => "text_color",
        "value" => "#545454",
    ),
    array(
        "type" => "textfield",
        "class" => "",
        "heading" => __("Days field label",'xevent'),
        "param_name" => "field_days",
        "value" => "",
    ),
    array(
        "type" => "colorpicker",
        "class" => "",
        "heading" => __("Days Circle Color",'xevent'),
        "param_name" => "color_field_days",
        "value" => "#257AEC",
    ),
    array(
        "type" => "textfield",
        "class" => "",
        "heading" => __("Hours field label",'xevent'),
        "param_name" => "field_hours",
        "value" => "",
    ),
    array(
        "type" => "colorpicker",
        "class" => "",
        "heading" => __("Hours Circle Color",'xevent'),
        "param_name" => "color_field_hours",
        "value" => "#3D9AF0",
    ),
    array(
        "type" => "textfield",
        "class" => "",
        "heading" => __("Minutes field label",'xevent'),
        "param_name" => "field_minutes",
        "value" => " ",
    ),
    array(
        "type" => "colorpicker",
        "class" => "",
        "heading" => __("Minutes Circle Color",'xevent'),
        "param_name" => "color_field_minutes",
        "value" => "#58BBF4",
    ),
    array(
        "type" => "textfield",
        "class" => "",
        "heading" => __("Seconds field label",'xevent'),
        "param_name" => "field_seconds",
        "value" => " ",
    ),
    array(
        "type" => "colorpicker",
        "class" => "",
        "heading" => __("Seconds Circle Color",'xevent'),
        "param_name" => "color_field_seconds",
        "value" => "#73DCF8",
    ),
    
   )
) );

}

// End Countdown Shortcode


// Pricing Shortcode
add_shortcode('pricing', 'shortcode_pricing');
function shortcode_pricing($atts, $content=null){
    $atts = vc_map_get_attributes( 'pricing', $atts );
    $atts = shortcode_atts(
        array(
            'title'         =>'',
            'title_color'   =>'',
            'price'         =>'',
            'price_color'   =>'',
            'bg_color'      =>'',
            'class'         =>'',
            'link'          =>'',
            'passed'        =>'',
            'popular'       =>'',
    ), $atts);



    $link = $atts['link'];
    
    $href = '';
    $href = vc_build_link( $link );

    $target ='';
    if($href['target']){ 
        $target = 'target= "'.$href['target'].'"';}

    $url ='';
    if($href['url']){ 
        $url = 'href= "'.$href['url'].'"';}

    $title ='';
    if($href['title']){ 
        $title = ''.$href['title'].'';}

    $button = '';
    if($atts['link'] != null) {
        $button = '<a class="common-button common-button-dark button-small" '.$url.' '.$target.'>'.$title.'</a>';}

    $passed_class = '';
    if($atts['passed'] == 'yes') {
        $passed_class = 'passed';
    }

    $passed_span = '';
    if($atts['passed'] == 'yes') {
        $passed_span = '<span class="label label-default">'.__( 'HAS PASSED', 'xevent').'</span>';
    }

    $popular_span = '';
    if($atts['popular'] == 'yes') {
        $popular_span = '<span class="label label-success">'.__( 'POPULAR', 'xevent').'</span>';
    }


    $html ='';
    $html .='<div class="price-table text-center '.$passed_class.' " style="background-color:'.$atts['bg_color'].'">
                '.$passed_span.'
                '.$popular_span.'         
                <h5 style="color:'.$atts['title_color'].'">'.$atts['title'].'</h5>
                <p style="color:'.$atts['price_color'].'" class="price">'.$atts['price'].'</p>

                          
                <div class="content">'.do_shortcode($content).'</div>

                '.$button.'';
                                    
    $html .='</div>';
    
        
    return $html;
}


if(function_exists('vc_map')){

vc_map( array(
   "name" => __("Price table", 'xevent'),
   "base" => "pricing",
   "content_element" => true,
   "class" => "",
   "category" => __("ThemeCube Shortcodes", 'xevent'),
   "icon" => get_template_directory_uri().'/img/vc_icons/tc_pricetable.png',
   "description" => __('Add price table','xevent'),
   "params" => array(
    array(
        "type" => "textfield",
        "holder" => "div",
        "class" => "",
        "heading" => __("Title",'xevent'),
        "param_name" => "title",
        "value" => "Title",
    ),
    array(
        "type" => "colorpicker",
        "class" => "",
        "heading" => __("Title Color",'xevent'),
        "param_name" => "title_color",
        "value" => "",
    ),      
    array(
        "type" => "textfield",
        "holder" => "div",
        "class" => "",
        "heading" => __("Price",'xevent'),
        "param_name" => "price",
        "value" => "",
    ),
    array(
        "type" => "colorpicker",
        "class" => "",
        "heading" => __("Price Color",'xevent'),
        "param_name" => "price_color",
        "value" => "",
    ),     
    array(
        "type" => "textarea_html",
        "class" => "",
        "heading" => __("Content",'xevent'),
        "param_name" => "content",
        "value" => "",
    ),
    array(
        "type" => "colorpicker",
        "class" => "",
        "heading" => __("Background Color",'xevent'),
        "param_name" => "bg_color",
        "value" => "",
    ),
    array(
        'type' => 'vc_link',
        'heading' => __( 'URL (Link)', 'xevent' ),
        'param_name' => 'link',
        'description' => __( 'Add link to custom heading.', 'xevent' ),
    ),
    array(
        'type' => 'checkbox',
        'heading' => __( 'Has passed', 'xevent' ),
        'param_name' => 'passed',
        'description' => __( 'If checked, price table will be disabled.', 'xevent' ),
        'value' => array( __( 'Yes', 'xevent' ) => 'yes' ),
    ),
    array(
        'type' => 'checkbox',
        'heading' => __( 'Popular', 'xevent' ),
        'param_name' => 'popular',
        'description' => __( 'If you want to add popular badge, please check.', 'xevent' ),
        'value' => array( __( 'Yes', 'xevent' ) => 'yes' ),
    ),
     

   )

) );

}

// End Pricing Shortcode


// Sponsor item Shortcode
add_shortcode('sponsor', 'shortcode_sponsor');
function shortcode_sponsor($atts, $content=null){
    $atts = vc_map_get_attributes( 'sponsor', $atts );
    $atts = shortcode_atts(
        array(
            'sponsor_logo'  =>'',
            'image_align'   =>'',
            'sponsor_title' =>'',
            'description'   =>'',
            'link'          =>'',
            'show_button'   =>'',
            'button_style'  =>'',

    ), $atts);

    $image_align = '';
    if($atts['image_align'] == 'left') $image_align = '';
    if($atts['image_align'] == 'center') $image_align = 'center-block';
    if($atts['image_align'] == 'right') $image_align = 'center-right';

    $layout_align = '';
    if($atts['image_align'] == 'center') $layout_align = 'text-center';
    if($atts['image_align'] == 'right') $layout_align = 'text-right';

    $button_style = '';
    if($atts['button_style'] == 'default') $button_style = '';
    if($atts['button_style'] == 'dark') $button_style = 'common-button-dark';
    if($atts['button_style'] == 'gradient') $button_style = 'gradient-bg';
    if($atts['button_style'] == 'border-light') $button_style = 'border-light';
    if($atts['button_style'] == 'border-dark') $button_style = 'border-dark';

    $link = $atts['link'];
    
    $href = '';
    $href = vc_build_link( $link );

    $target ='';
    if($href['target']){ 
        $target = 'target= "'.$href['target'].'"';}

    $url ='';
    if($href['url']){ 
        $url = 'href= "'.$href['url'].'"';}

    $title ='';
    if($href['title']){ 
        $title = ''.$href['title'].'';}


    if(wp_get_attachment_image_src($atts['sponsor_logo'], 'full')){
        $obj_thumbnail = wp_get_attachment_image_src($atts['sponsor_logo'], 'full');
        $thumbnail = $obj_thumbnail['0'];
    }else if($atts['sponsor_logo']!= ''){
        $thumbnail = $atts['sponsor_logo'];
    }


    $html ='';
    $html .='<div class="sponsor-item '.$layout_align.'">';
            if ($atts['link']) {
                $html .='<a '.$url.' '.$target.'><img class="img-responsive '.$image_align.'" src="'.$thumbnail.'" alt="sponsor"></a>';
            }

            if ($atts['link'] = null) {
                $html .= '<img class="img-responsive '.$image_align.'" src="'.$thumbnail.'" alt="sponsor">'; 
            }

            if ($atts['sponsor_title']) {
                $html .='<h3>'.$atts['sponsor_title'].'</h3>';
            }

            if ($atts['description']) {
                $html .='<p>'.$atts['description'].'</p>';
            }
 
              
            if($atts['show_button'] == 'yes') {
                $html .='<a class="common-button '.$button_style.' button-sm" '.$url.' '.$target.'>'.$title.'</a>';
            }    
                                    
    $html .='</div>';
    
        
    return $html;
}


if(function_exists('vc_map')){

vc_map( array(
   "name" => __("Sponsor", 'xevent'),
   "base" => "sponsor",
   "class" => "",
   "category" => __("ThemeCube Shortcodes", 'xevent'),
   "icon" => get_template_directory_uri().'/img/vc_icons/tc_sponsor.png',
   "description" => __('Add Sponsor','xevent'),
   "params" => array(
    array(
        "type" => "attach_image",
        "holder" => "img",
        "class" => "",
        "heading" => __("Sponsor Logo",'xevent'),
        "param_name" => "sponsor_logo",
        "value" => ""
    ),
    array(
        "type" => "dropdown",
        "class" => "",
        "heading" => __("Image Align",'xevent'),
        "param_name" => "image_align",
        "value" => array(   
            __('Left', 'xevent') => 'left',
            __('Center', 'xevent') => 'center',
            __('Right', 'xevent') => 'right',
        ),
        "std" => "col-md-4",
    ),
    array(
        "type" => "textfield",
        "holder" => "div",
        "class" => "",
        "heading" => __("Title (Optional)",'xevent'),
        "param_name" => "sponsor_title",
        'description' => __( 'Optional', 'xevent' ),

    ),       
    array(
        "type" => "textarea",
        "class" => "",
        "heading" => __("Short Info (Optional)",'xevent'),
        "param_name" => "description",
        "value" => "",
    ),
    array(
        'type' => 'vc_link',
        'heading' => __( 'Sponsor URL (Optional)', 'xevent' ),
        'param_name' => 'link',
        'description' => __( 'Add link to the sponsor logo and button.', 'xevent' ),
    ),
    array(
        'type' => 'checkbox',
        'heading' => __( 'Show Button (Optional)', 'xevent' ),
        'param_name' => 'show_button',
        'description' => __( 'Add a button for sponsor website link.', 'xevent' ),
        'value' => array( __( 'Yes', 'xevent' ) => 'yes' ),
    ),
    array(
        "type" => "dropdown",
        "class" => "",
        "heading" => __("Button Style",'xevent'),
        "param_name" => "button_style",
        "value" => array(   
            __('Default', 'xevent') => 'default',
            __('Dark', 'xevent') => 'dark',
            __('Gradient', 'xevent') => 'gradient',
            __('Flat', 'xevent') => 'flat',
            __('Border Light', 'xevent') => 'border-light',
            __('Border Dark', 'xevent') => 'border-dark',
        ),
        "dependency" => array("element" => "show_button","value" => array("yes")),
        "std" => "default",
        "description" => __( 'Add style for button.', 'xevent' ),
        
    ),
     

   )

) );

}

// End Sponsor item Shortcode


// Hotel item Shortcode
add_shortcode('hotel', 'shortcode_hotel');
function shortcode_hotel($atts, $content=null){
    $atts = vc_map_get_attributes( 'hotel', $atts );
    $atts = shortcode_atts(
        array(
            'hotel_image'  =>'',
            'hotel_name'   =>'',
            'hotel_name_color' =>'',
            'description'   =>'',
            'link'          =>'',
            'show_button'   =>'',
            'button_style'  =>'',
            'display_phone' =>'',
            'phone_text'    =>'',
            'phone'         =>'',
            'background_color'  =>'',

    ), $atts);

    $hcolor = '';
    if ($atts['hotel_name_color']) {
        $hcolor = 'style="color:'.$atts['hotel_name_color'].'"';
    }

    $bg_color = '';
    if ($atts['background_color']) {
        $bg_color = 'style="background-color:'.$atts['background_color'].'"';
    }




    $button_style = '';
    if($atts['button_style'] == 'default') $button_style = '';
    if($atts['button_style'] == 'dark') $button_style = 'common-button-dark';
    if($atts['button_style'] == 'gradient') $button_style = 'gradient-bg';
    if($atts['button_style'] == 'border-light') $button_style = 'border-light';
    if($atts['button_style'] == 'border-dark') $button_style = 'border-dark';

    $link = $atts['link'];
    
    $href = '';
    $href = vc_build_link( $link );

    $target ='';
    if($href['target']){ 
        $target = 'target= "'.$href['target'].'"';}

    $url ='';
    if($href['url']){ 
        $url = 'href= "'.$href['url'].'"';}

    $title ='';
    if($href['title']){ 
        $title = ''.$href['title'].'';}


    if(wp_get_attachment_image_src($atts['hotel_image'], 'full')){
        $obj_thumbnail = wp_get_attachment_image_src($atts['hotel_image'], 'full');
        $thumbnail = $obj_thumbnail['0'];
    }else if($atts['hotel_image']!= ''){
        $thumbnail = $atts['hotel_image'];
    }


    $html ='';
    $html .='<div class="hotel-thumb" '.$bg_color.'>';
            

            $html .= '<img class="img-responsive" src="'.$thumbnail.'" alt="'.$atts['hotel_name'].'">
            
                      <div class="hotel-desc">
                        <h4 '.$hcolor.'>'.$atts['hotel_name'].'</h4>
                        <p>'.$atts['description'].'</p>
                      </div>';
            
            $html .= '<div class="reserve">';
 
              
            if($atts['show_button'] == 'yes') {
                $html .='<a class="common-button '.$button_style.' button-sm text-center" '.$url.' '.$target.'>'.$title.'</a>';
            }

            if($atts['display_phone'] == 'yes') {
                $html .='<p><span>'.$atts['phone_text'].'</span>
                        '.$atts['phone'].'</p>';
            }

            $html .= '</div>';
                                    
    $html .='</div>';
    
        
    return $html;
}


if(function_exists('vc_map')){

vc_map( array(
   "name" => __("Hotel", 'xevent'),
   "base" => "hotel",
   "class" => "",
   "category" => __("ThemeCube Shortcodes", 'xevent'),
   "icon" => get_template_directory_uri().'/img/vc_icons/tc_hotel.png',
   "description" => __('Add Hotel Alternative','xevent'),
   "params" => array(
    array(
        "type" => "attach_image",
        "holder" => "img",
        "class" => "",
        "heading" => __("Hotel Image",'xevent'),
        "param_name" => "hotel_image",
        "value" => ""
    ),
    array(
        "type" => "textfield",
        "holder" => "div",
        "class" => "",
        "heading" => __("Hotel Name",'xevent'),
        "param_name" => "hotel_name",
    ),
    array(
        "type" => "colorpicker",
        "class" => "",
        "heading" => __("Hotel Name Color",'xevent'),
        "param_name" => "hotel_name_color",
    ),       
    array(
        "type" => "textarea_html",
        "class" => "",
        "heading" => __("Hotel Info",'xevent'),
        "param_name" => "description",
        "value" => "",
    ),
    array(
        'type' => 'checkbox',
        'heading' => __( 'Show Button (Optional)', 'xevent' ),
        'param_name' => 'show_button',
        'description' => __( 'Add a button for hotel website link.', 'xevent' ),
        'value' => array( __( 'Yes', 'xevent' ) => 'yes' ),
    ),
    array(
        'type' => 'vc_link',
        'heading' => __( 'Sponsor URL (Optional)', 'xevent' ),
        'param_name' => 'link',
        'description' => __( 'Add link to the sponsor logo and button.', 'xevent' ),
        "dependency" => array("element" => "show_button","value" => array("yes")),
    ),  
    array(
        "type" => "dropdown",
        "class" => "",
        "heading" => __("Button Style",'xevent'),
        "param_name" => "button_style",
        "value" => array(   
            __('Default', 'xevent') => 'default',
            __('Dark', 'xevent') => 'dark',
            __('Gradient', 'xevent') => 'gradient',
            __('Flat', 'xevent') => 'flat',
            __('Border Light', 'xevent') => 'border-light',
            __('Border Dark', 'xevent') => 'border-dark',
        ),
        "dependency" => array("element" => "show_button","value" => array("yes")),
        "std" => "dark",
        "description" => __( 'Add style for button.', 'xevent' ),
    ),
    array(
        'type' => 'checkbox',
        'heading' => __( 'Display Phone (Optional)', 'xevent' ),
        'param_name' => 'display_phone',
        'description' => __( 'Display Hotel Phone.', 'xevent' ),
        'value' => array( __( 'Yes', 'xevent' ) => 'yes' ),
    ),
    array(
        "type" => "textfield",
        "class" => "",
        "heading" => __("Phone Text",'xevent'),
        "param_name" => "phone_text",
        "value" => "OR CALL",
        "dependency" => array("element" => "display_phone","value" => array("yes")),
    ),
    array(
        "type" => "textfield",
        "holder" => "div",
        "class" => "",
        "heading" => __("Hotel Phone",'xevent'),
        "param_name" => "phone",
        "dependency" => array("element" => "display_phone","value" => array("yes")),
    ),
    array(
        "type" => "colorpicker",
        "class" => "",
        "heading" => __("Background Color",'xevent'),
        "param_name" => "background_color",
    ),
     

   )

) );

}

// End Hotel item Shortcode



// Member shortcode
add_shortcode('members', 'shortcode_members');
function shortcode_members($atts, $content=null){
    $atts = vc_map_get_attributes( 'members', $atts );
    $atts = shortcode_atts(
        array(        
        'filter_tag'  => '',
        'display_jobtitle' => '',
        'speaker_row_items' => '',
        'sort_speaker' => '',
        'zero_gap' => '',
        'figcaption_gradient' => '',
        'load_more' => '',
    ), $atts);

    $speaker_row_items = '';
    if($atts['speaker_row_items'] == 'col-md-4') $speaker_row_items = 'col-md-4 col-sm-4 col-xs-12';
    if($atts['speaker_row_items'] == 'col-md-3') $speaker_row_items = 'col-md-3 col-sm-3 col-xs-12';
    if($atts['speaker_row_items'] == 'column-5') $speaker_row_items = 'column-5';
    if($atts['speaker_row_items'] == 'col-md-2') $speaker_row_items = 'col-md-2 col-sm-4 col-xs-12';

    $number = '';
    if($atts['speaker_row_items'] == 'col-md-4') $number = '3';
    if($atts['speaker_row_items'] == 'col-md-3') $number = '4';
    if($atts['speaker_row_items'] == 'column-5') $number = '5';
    if($atts['speaker_row_items'] == 'col-md-2') $number = '6';


    $sort_speaker = '';
    if($atts['sort_speaker'] == 'none') $sort_speaker = 'none';
    if($atts['sort_speaker'] == 'title') $sort_speaker = 'title';
    if($atts['sort_speaker'] == 'rand') $sort_speaker = 'rand';

    $zero_gap = '';
    if($atts['zero_gap'] == 'yes') {
        $zero_gap = 'no-padding';
    }

    $figcaption_gradient = '';
    if($atts['figcaption_gradient'] == 'yes') {
        $figcaption_gradient = 'class="gradient-bg"';
    }

    $html ='';
    $html .= '<section id="speakers-grid">';
    $html .= '<div class="row">';
        $args = array('post_type' => 'member', 'posts_per_page'=> '-1', 'orderby' => $sort_speaker,  'tag'=> $atts['filter_tag'], 'order' =>'ASC');
        $members = new WP_QUery($args);
        global $post; 
        if($members->have_posts()):
            while($members->have_posts()): $members->the_post();

            $thumbnail_url = wp_get_attachment_url(get_post_thumbnail_id());            

            $speaker_job = get_post_meta($post->ID, "tc_member_job", true);
            $speaker_website = get_post_meta($post->ID, "tc_speaker_website", true);

           
            

                $html .= '<div class="'.$speaker_row_items.' '.$zero_gap.'">
                    <div class="speaker-thumb">
                     <a class="html-popup" href="'.get_permalink().'">
                        <figure class="effect-zoe">
                            <img class="img-responsive" src="'.$thumbnail_url.'" alt="">
                            <figcaption '.$figcaption_gradient.'>
                                <h3>'.get_the_title().'</h3>
                                <p class="company">';
                                    if($atts['display_jobtitle'] == 'yes' ){ $html .=''.$speaker_job.'';}
                                    
                      $html .= '</p>
                            </figcaption>  
                            
                        </figure>
                    </a>
                    </div>
                </div>';

            endwhile;
        endif;

        if ($atts['load_more'] == 'yes') { 

        $html .='<div class="col-lg-12 text-center">
            <a href="#" id="load-more" class="common-button common-button-dark">'.__('LOAD MORE', 'xevent').'</a>
          </div>';

        $html .='
            
            <script>
            jQuery(document).ready(function($){
                "use strict";
                $("#speakers-grid .speaker-thumb").css({"display":"none"});
                $("div.speaker-thumb").slice(0, '.$number.').show();
                $("#load-more").on("click", function (e) {
                    e.preventDefault();
                    $("div.speaker-thumb:hidden").slice(0, '.$number.').slideDown();
                    if ($("div.speaker-thumb:hidden").length === 0) {
                        $("#load-more").replaceWith(\'<p id="load-more" class="common-button common-button-dark passed">No More</p>\');
                    }
                });
            });                                  
            </script>';
    ;}

    $html .= '</div></section>';
    return $html;
}


if(function_exists('vc_map')){

vc_map( array(
   "name" => __("Members List", 'xevent'),
   "base" => "members",
   "class" => "",
   "category" => __("ThemeCube Shortcodes", 'xevent'),
   "icon" => get_template_directory_uri().'/img/vc_icons/tc_members.png',
   "description" => __('Add organizers layout','xevent'),
   "params" => array(
    array(
        "type" => "dropdown",
        "class" => "",
        "heading" => __("How many items in a row?",'xevent'),
        "param_name" => "speaker_row_items",
        "value" => array(   
            __('3 items', 'xevent') => 'col-md-4',
            __('4 items', 'xevent') => 'col-md-3',
            __('5 items', 'xevent') => 'column-5',
            __('6 items', 'xevent') => 'col-md-2',
        ),
        "std" => "col-md-4",
    ),
    array(
        "type" => "dropdown",
        "class" => "",
        "heading" => __("Sort items by",'xevent'),
        "param_name" => "sort_speaker",
        "value" => array(   
            __('None', 'xevent') => 'none',
            __('Name', 'xevent') => 'title',
            __('Random', 'xevent') => 'rand',
        ),
        "std" => "col-md-4",
    ),
    array(
        'type' => 'checkbox',
        'heading' => __( 'Show load more button', 'xevent' ),
        'param_name' => 'load_more',
        'value' => array( __( 'Yes', 'xevent' ) => 'yes' ),
    ),
    array(
        'type' => 'checkbox',
        'heading' => __( 'Zero gap between items?', 'xevent' ),
        'param_name' => 'zero_gap',
        'value' => array( __( 'Yes', 'xevent' ) => 'yes' ),
    ),
    array(
        'type' => 'checkbox',
        'heading' => __( 'Display Job Title', 'xevent' ),
        'param_name' => 'display_jobtitle',
        'value' => array( __( 'Yes', 'xevent' ) => 'yes' ),
    ),
    array(
        'type' => 'checkbox',
        'heading' => __( 'Gradient hover background', 'xevent' ),
        'param_name' => 'figcaption_gradient',
        'value' => array( __( 'Yes', 'xevent' ) => 'yes' ),
    ),
    array(
        "type" => "textfield",
        "holder" => "div",
        "class" => "",
        "heading" => __("Filter by tag",'xevent'),
        "param_name" => "filter_tag",
        "value" => "speaker",
        "description" => __('Such as speaker, chair, keynote','xevent'),
    )
     
   )
) );

}

// End Member shortcode


// Button shortcode
add_shortcode('button', 'shortcode_button');
function shortcode_button($atts, $content = null) {
    $atts = vc_map_get_attributes( 'button', $atts );
    $atts = shortcode_atts(
        array(
        'link'    => '',
		'size'    => '',
		'button_style'   => '',     
    ), $atts);
    $html ='';

	$size = '';
    if($atts['size'] == 'xsmall') $size = 'button-xs';
    if($atts['size'] == 'small') $size  = 'button-sm';
	if($atts['size'] == 'medium') $size  = '';
    if($atts['size'] == 'big') $size  = 'button-lg';
	

    $button_style = '';
    if($atts['button_style'] == 'default') $button_style = '';
    if($atts['button_style'] == 'dark') $button_style = 'common-button-dark';
    if($atts['button_style'] == 'gradient') $button_style = 'gradient-bg';
    if($atts['button_style'] == 'border-light') $button_style = 'border-light';
    if($atts['button_style'] == 'border-dark') $button_style = 'border-dark';

    $link = $atts['link'];
    
    $href = '';
    $href = vc_build_link( $link );

    $target ='';
    if($href['target']){ 
        $target = 'target= "'.$href['target'].'"';}

    $url ='';
    if($href['url']){ 
        $url = 'href= "'.$href['url'].'"';}

    $title ='';
    if($href['title']){ 
        $title = ''.$href['title'].'';}



    $html .= '<a class="common-button '.$button_style.'" '.$url.' '.$target.'>'.$title.'</a>';
    return $html;
}

if(function_exists('vc_map')){

vc_map( array(
   "name" => __("Button", 'xevent'),
   "base" => "button",
   "class" => "",
   "category" => __("ThemeCube Shortcodes", 'xevent'),
   "icon" => get_template_directory_uri().'/img/vc_icons/tc_button.png',
   "description" => __('Add button','xevent'),
   "params" => array(
    array(
        'type' => 'vc_link',
        'heading' => __( 'Sponsor URL (Optional)', 'xevent' ),
        'param_name' => 'link',
        'description' => __( 'Add link to the sponsor logo and button.', 'xevent' ),
    ),
    array(
        "type" => "dropdown",
        "class" => "",
        "heading" => __("Button Style",'xevent'),
        "param_name" => "button_style",
        "value" => array(   
            __('Default', 'xevent') => 'default',
            __('Dark', 'xevent') => 'dark',
            __('Gradient', 'xevent') => 'gradient',
            __('Flat', 'xevent') => 'flat',
            __('Border Light', 'xevent') => 'border-light',
            __('Border Dark', 'xevent') => 'border-dark',
        ),
        "std" => "default",
        "description" => __( 'Add style for button.', 'xevent' ),
    ),
    array(
        "type" => "dropdown",
        "class" => "",
        "heading" => __("Button Size",'xevent'),
        "param_name" => "size",
        "value" => array(   
            __('xsmall', 'xevent') => 'xsmall',
            __('small', 'xevent') => 'small',
            __('medium', 'xevent') => 'medium',
            __('big', 'xevent') => 'big',
        ),
    ),

   )
) );

}

// End Button shortcode

// Minimal Schedule shortcode *******/
add_shortcode('schedule_minimal', 'shortcode_schedule_minimal');
function shortcode_schedule_minimal($atts, $content=null){
    global $xevent_var;
    $atts = vc_map_get_attributes( 'schedule_minimal', $atts );
    $atts = shortcode_atts(
        array(
        'class'     => '',
        'display_location' => '',
        'display_time' => '',
        'display_speakers' => '',
        'image_shape' => '',
        'row_items' => '',
        'tab_align' => '',
    ), $atts);

                        
    $args_term = array('order' =>'ASC');
    $schedules_date = get_terms('date', $args_term);

    $image_shape = '';
    if($atts['image_shape'] == 'img-square') $image_shape = 'img-square';
    if($atts['image_shape'] == 'img-circle') $image_shape = 'img-circle';

    $row_items = '';
    if($atts['row_items'] == 'col-md-4') $row_items = 'col-md-4';
    if($atts['row_items'] == 'col-md-3') $row_items = 'col-md-3 col-sm-6 col-xs-6';

    $tab_align = '';
    if($atts['tab_align'] == 'text-left') $tab_align = 'text-left';
    if($atts['tab_align'] == 'text-right') $tab_align = 'text-right';
    if($atts['tab_align'] == 'text-center') $tab_align = 'text-center';

    
   
    $html ='';
    $html .='<section class="schedule-minimal-wrap">';

    if (count($schedules_date) > 1) {
        $html .= '<ul id="schedule-minimal-nav" class="nav nav-tabs '.$tab_align.'" role="tablist">';

        $i = 0;

        foreach($schedules_date as $schedule_date) {
            $schedule_active = '';
            if($i == 0){$schedule_active = 'active'; $i++;}
            $html .='<li role="presentation" class="'.$schedule_active.'">
                        <a href="#'.$schedule_date->slug.'" id="'.$schedule_date->slug.'-tab" role="tab" data-toggle="tab" aria-controls="'.$schedule_date->slug.'" aria-expanded="true">
                            '.$schedule_date->name.'
                        </a>
                    </li>';
        }
        $html .='</ul>';
    }
    
    $html .= '<div class="tab-content schedule-minimal '.$atts['class'].'">'; //content başlangıcı
    $d = 0;
    foreach($schedules_date as $schedule_date) {

        $schedule_active1 = '';
        $k = 0;
        if($d == 0){$schedule_active1 = 'active'; $d++;}

        $html .= '<div role="tabpanel" class="tab-pane fade in '.$schedule_active1.'" id="'.$schedule_date->slug.'" aria-labelledby="'.$schedule_date->slug.'-tab">
                    <div class="row masonry-container">';
        
                $args = array('post_type' => 'schedule','date'=>$schedule_date->slug, 'meta_key'=> 'tc_program_time', 'posts_per_page'=>'-1', 'orderby'=>'meta_value', 'order'=>'ASC');
                $schedule = new WP_QUery($args);
                global $post;

                if($schedule->have_posts()):
                    while($schedule->have_posts()): $schedule->the_post();

                    $program_date = get_post_meta ( get_the_ID (), 'tc_program_date', true );
                    $program_time = get_post_meta ( get_the_ID (), 'tc_program_time', true );
                    $program_duration = get_post_meta ( get_the_ID (), 'tc_program_duration', true );
                    $program_location = get_post_meta ( get_the_ID (), 'tc_program_location', true );
                    $program_level = get_post_meta ( get_the_ID (), 'tc_program_level', true );
                    $additional_info = get_post_meta( get_the_ID (), "tc_additional_info", true);
                    $title = apply_filters('the_title', get_post_field('post_title', $post->ID));


        $html .= '<div class="'.$row_items.' item">
                      <div class="program '.$additional_info.'">';
                      if($atts['display_location'] == 'yes' and $program_location ){
                $html .= '<span class="location">'.$program_location.'</span><br>' ;}
                    if($atts['display_time'] == 'yes' and $program_time) {
                $html .= '<span class="time">'.$program_time.'</span>' ;}
                    if ($additional_info) {
                  $html .= '<h3>'.$title.'</h3>';      
                    } else {
                $html .= '<h3><a href="'.get_permalink().'">'.$title.'</a></h3>'; }

                if ( has_excerpt( $post->ID ) ) {
                    $html .= ' <p>'.get_the_excerpt().'</p>';
                    } 
                
                 $connected = new WP_Query( array(
                      'connected_type' => 'speaker_program',
                      'connected_items' => $post,
                      'nopaging' => true,
                    ) );  

                 if($atts['display_speakers'] == 'yes') {
                     
                 if ( $connected->have_posts() ) :
                   while ( $connected->have_posts() ) : $connected->the_post();

                    $speaker_job = get_post_meta($post->ID, "tc_speaker_job", true);
                    $speaker_company = get_post_meta($post->ID, "tc_speaker_company", true);
                    $thumbnail_url = wp_get_attachment_image_src(get_post_thumbnail_id(), 'xevent-speaker-mini-thumb');
                    $image = $thumbnail_url[0];
                    $title = get_the_title();
                    $link = get_permalink();

                        
            $html .= '<div class="schedule-min-speaker">
                          <img class="img-responsive '.$image_shape.'" src="'.$image.'" alt="">
                          <div>
                            <h5 class="speaker-name"><a href="'.$link.'" class="html-popup">'.$title.'</a></h5>
                            <p class="company">'.$speaker_company.'</p>
                          </div>
                        </div>';

                         endwhile; 
                wp_reset_postdata(); 
                endif; }

                $html .= '</div></div>';

                           

                endwhile;
                endif;

                 $html .= '</div></div>';

                }    

       
        $html .= '</div></section>';

         return $html;
                           
}


if(function_exists('vc_map')){

vc_map( array(
   "name" => __("Minimal Schedule Layout", 'xevent'),
   "base" => "schedule_minimal",
   "class" => "",
   "category" => __("ThemeCube Shortcodes", 'xevent'),
   "icon" => get_template_directory_uri().'/img/vc_icons/tc_sch_minimal.png',
   "params" => array(
    array(
        "type" => "dropdown",
        "class" => "",
        "heading" => __("How many items in a row?",'xevent'),
        "param_name" => "row_items",
        "value" => array(   
            __('3 items', 'xevent') => 'col-md-4',
            __('4 items', 'xevent') => 'col-md-3',
        ),
        "std" => "col-md-4",
    ),
    array(
        "type" => "dropdown",
        "class" => "",
        "heading" => __("Tab Align",'xevent'),
        "param_name" => "tab_align",
        "value" => array(   
            __('Left', 'xevent') => 'text-left',
            __('Right', 'xevent') => 'text-right',
            __('Center', 'xevent') => 'text-center',
        ),
        "std" => "text-center",
    ),
    array(
        'type' => 'checkbox',
        'heading' => __( 'Display Location', 'xevent' ),
        'param_name' => 'display_location',
        'value' => array( __( 'Yes', 'xevent' ) => 'yes' ),
    ),
    array(
        'type' => 'checkbox',
        'heading' => __( 'Display Start Time', 'xevent' ),
        'param_name' => 'display_time',
        'value' => array( __( 'Yes', 'xevent' ) => 'yes' ),
    ),
    array(
        'type' => 'checkbox',
        'heading' => __( 'Display Speakers', 'xevent' ),
        'param_name' => 'display_speakers',
        'value' => array( __( 'Yes', 'xevent' ) => 'yes' ),
    ),
    array(
        "type" => "dropdown",
        "class" => "",
        "heading" => __("Image Shape",'xevent'),
        "param_name" => "image_shape",
        "value" => array(   
            __('Square', 'xevent') => 'img-square',
            __('Circle', 'xevent') => 'img-circle',
        ),
        "std" => "img-square",
        "dependency" => array("element" => "display_speakers","value" => array("yes")),
    ),
     array(
        "type" => "textfield",
        "holder" => "div",
        "class" => "",
        "heading" => __("Class",'xevent'),
        "param_name" => "class",
        "value" => "",
    ),

     
   )
) );

}

// End Minimal Schedule shortcode *******/


// Timeline Schedule shortcode *******/
add_shortcode('schedule_timeline', 'shortcode_schedule_timeline');
function shortcode_schedule_timeline($atts, $content=null){
    global $xevent_var;
    $atts = vc_map_get_attributes( 'schedule_timeline', $atts );
    $atts = shortcode_atts(
        array(
        'class'     => '',
        'display_location' => '',
        'display_icon' => '',
        'box_color' => '',
        'display_speakers' => '',
        'image_shape' => '',
        'row_items' => '',
        'tab_align' => '',
    ), $atts);

                        
    $args_term = array('order' =>'ASC');
    $schedules_date = get_terms('date', $args_term);

    $image_shape = '';
    if($atts['image_shape'] == 'img-square') $image_shape = 'img-square';
    if($atts['image_shape'] == 'img-circle') $image_shape = 'img-circle';


    $tab_align = '';
    if($atts['tab_align'] == 'text-left') $tab_align = 'text-left';
    if($atts['tab_align'] == 'text-right') $tab_align = 'text-right';
    if($atts['tab_align'] == 'text-center') $tab_align = 'text-center';

    
   
    $html ='';

    if($atts['display_icon'] != 'yes') {
        $html .='<style>
                    @media only screen and (min-width: 1170px) {
                    .cd-timeline-img { width: 40px; height: 40px; margin-left: -20px; margin-top: 10px;}
                    }
                </style>';
    }

    if($atts['box_color']) {
        $html .='<style>
            .cd-timeline-content{background:'.$atts['box_color'].'}
            
            @media only screen and (min-width: 1170px) {
                .cd-timeline-block:nth-child(even) .cd-timeline-content::before {
                    border-right-color: '.$atts['box_color'].';
                }
                .cd-timeline-content::before {border-left-color:'.$atts['box_color'].';}
            }
            @media only screen and (max-width: 768px) {
                .cd-timeline-content::before {border-right: 7px solid '.$atts['box_color'].';}
            }

        </style>';
    }

    if (count($schedules_date) > 1) {
    $html .= '<ul id="schedule-minimal-nav" class="tlnav nav nav-tabs '.$tab_align.'" role="tablist">';

    $i = 0;

    foreach($schedules_date as $schedule_date) {
        $schedule_active = '';
        if($i == 0){$schedule_active = 'active'; $i++;}
        $html .='<li role="presentation" class="'.$schedule_active.'">
                    <a href="#'.$schedule_date->slug.'" id="'.$schedule_date->slug.'-tab" role="tab" data-toggle="tab" aria-controls="'.$schedule_date->slug.'" aria-expanded="true">
                        '.$schedule_date->name.'
                    </a>
                </li>';
    }
    $html .='</ul>';}
    $html .='<section id="cd-timeline" class="cd-container">';
    
    $html .= '<div class="tab-content schedule-minimal '.$atts['class'].'">'; //content başlangıcı
    $d = 0;
    foreach($schedules_date as $schedule_date) {

        $schedule_active1 = '';
        $k = 0;
        if($d == 0){$schedule_active1 = 'active'; $d++;}

        $html .= '<div role="tabpanel" class="tab-pane fade in '.$schedule_active1.'" id="'.$schedule_date->slug.'" aria-labelledby="'.$schedule_date->slug.'-tab">';
        
                $args = array('post_type' => 'schedule','date'=>$schedule_date->slug, 'meta_key'=> 'tc_program_time', 'posts_per_page'=>'-1', 'orderby'=>'meta_value', 'order'=>'ASC');
                $schedule = new WP_QUery($args);
                global $post;

                if($schedule->have_posts()):
                    while($schedule->have_posts()): $schedule->the_post();

                    $program_date = get_post_meta ( get_the_ID (), 'tc_program_date', true );
                    $program_time = get_post_meta ( get_the_ID (), 'tc_program_time', true );
                    $program_duration = get_post_meta ( get_the_ID (), 'tc_program_duration', true );
                    $program_location = get_post_meta ( get_the_ID (), 'tc_program_location', true );
                    $program_level = get_post_meta ( get_the_ID (), 'tc_program_level', true );
                    $additional_info = get_post_meta( get_the_ID (), "tc_additional_info", true);
                    $title = apply_filters('the_title', get_post_field('post_title', $post->ID));



                $html .= '<div class="cd-timeline-block">
                            <div class="cd-timeline-img cd-program">';

                            if ($atts['display_icon'] == 'yes') { 
                                if($additional_info == null) {
                        $html .= '<i class="pe-2x pe-7s-micro"></i>';
                                } elseif ($additional_info == 'coffee-break') {
                         $html .= '<i class="pe-2x pe-7s-coffee"></i>';            
                                } elseif ($additional_info == 'registration') {
                         $html .= '<i class="pe-2x pe-7s-id"></i>';            
                                } elseif ($additional_info == 'lunch') {
                         $html .= '<i class="fa fa-lg fa-cutlery"></i>';            
                                }}

                  $html .= '</div> 

                            <div class="cd-timeline-content">';
                                if ($additional_info) {
                                    $html .= '<h3>'.$title.'</h3>';      
                                } else {
                                    $html .= '<h3><a href="'.get_permalink().'">'.$title.'</a></h3>'; }
                                if ( has_excerpt( $post->ID ) ) {
                                $html .= ' <p>'.get_the_excerpt().'</p>';
                                } 

                                $connected = new WP_Query( array(
                              'connected_type' => 'speaker_program',
                              'connected_items' => $post,
                              'nopaging' => true,
                            ) );  

                     if($atts['display_speakers'] == 'yes') {
                         
                     if ( $connected->have_posts() ) :
                       while ( $connected->have_posts() ) : $connected->the_post();

                        $speaker_job = get_post_meta($post->ID, "tc_speaker_job", true);
                        $speaker_company = get_post_meta($post->ID, "tc_speaker_company", true);
                        $thumbnail_url = wp_get_attachment_image_src(get_post_thumbnail_id(), 'xevent-speaker-mini-thumb');
                        $image = $thumbnail_url[0];
                        $title = get_the_title();
                        $link = get_permalink();

                        
            $html .= '<div class="schedule-min-speaker">
                        <img class="img-responsive '.$image_shape.'" src="'.$image.'" alt="">
                        <div>
                            <h5 class="speaker-name"><a href="'.$link.'" class="html-popup">'.$title.'</a></h5>
                            <p class="company">'.$speaker_company.'</span>
                        </div>
                     </div>';

                         endwhile; 
                wp_reset_postdata(); 
                endif; }

                $html .= '<span class="cd-date">';
                    if($atts['display_location'] == 'yes' and $program_location){
                $html .= ''.$program_location.'<br>';}
                $html .= ''.$program_time.'</span>';


                $html .= '</div></div>';

                           

                endwhile;
                endif;

                $html .= '</div>';

                }    
    
     

       
        $html .= '</div></section>';
         return $html; 
                           
}


if(function_exists('vc_map')){

vc_map( array(
   "name" => __("Timeline Schedule Layout", 'xevent'),
   "base" => "schedule_timeline",
   "class" => "",
   "category" => __("ThemeCube Shortcodes", 'xevent'),
   "icon" => get_template_directory_uri().'/img/vc_icons/tc_sch_timeline.png',
   "params" => array(
    array(
        "type" => "dropdown",
        "class" => "",
        "heading" => __("Tab Align",'xevent'),
        "param_name" => "tab_align",
        "value" => array(   
            __('Left', 'xevent') => 'text-left',
            __('Right', 'xevent') => 'text-right',
            __('Center', 'xevent') => 'text-center',
        ),
        "std" => "text-center",
    ),
    array(
        "type" => "colorpicker",
        "class" => "",
        "heading" => __("Box Color",'xevent'),
        "param_name" => "box_color",
        "value" => "#ffffff",
    ),
    array(
        'type' => 'checkbox',
        'heading' => __( 'Display Location', 'xevent' ),
        'param_name' => 'display_location',
        'value' => array( __( 'Yes', 'xevent' ) => 'yes' ),
    ),
    array(
        'type' => 'checkbox',
        'heading' => __( 'Display Icon', 'xevent' ),
        'param_name' => 'display_icon',
        'value' => array( __( 'Yes', 'xevent' ) => 'yes' ),
    ),
    array(
        'type' => 'checkbox',
        'heading' => __( 'Display Speakers', 'xevent' ),
        'param_name' => 'display_speakers',
        'value' => array( __( 'Yes', 'xevent' ) => 'yes' ),
    ),
    array(
        "type" => "dropdown",
        "class" => "",
        "heading" => __("Image Shape",'xevent'),
        "param_name" => "image_shape",
        "value" => array(   
            __('Square', 'xevent') => 'img-square',
            __('Circle', 'xevent') => 'img-circle',
        ),
        "std" => "img-square",
        "dependency" => array("element" => "display_speakers","value" => array("yes")),
    ),
     array(
        "type" => "textfield",
        "holder" => "div",
        "class" => "",
        "heading" => __("Class",'xevent'),
        "param_name" => "class",
        "value" => "",
    ),

     
   )
) );

}

// End Timeline Schedule shortcode *******/


// List Schedule shortcode *******/
add_shortcode('schedule_list', 'shortcode_schedule_list');
function shortcode_schedule_list($atts, $content=null){
    global $xevent_var;
    $atts = vc_map_get_attributes( 'schedule_list', $atts );
    $atts = shortcode_atts(
        array(
        'class'     => '',
        'display_location' => '',
        'display_excerpt' => '',
        'display_speakers' => '',
        'image_shape' => '',
        'tab_align' => '',
    ), $atts);

                        
    $args_term = array('order' =>'ASC');
    $schedules_date = get_terms('date', $args_term);

    $image_shape = '';
    if($atts['image_shape'] == 'img-square') $image_shape = 'img-square';
    if($atts['image_shape'] == 'img-circle') $image_shape = 'img-circle';


    $tab_align = '';
    if($atts['tab_align'] == 'text-left') $tab_align = 'text-left';
    if($atts['tab_align'] == 'text-right') $tab_align = 'text-right';
    if($atts['tab_align'] == 'text-center') $tab_align = 'text-center';

    
   
    $html ='';
    $html .='<section class="schedule-minimal-wrap">';

    if (count($schedules_date) > 1) {
    $html .= '<ul id="schedule-minimal-nav" class="nav nav-tabs '.$tab_align.'" role="tablist">';

    $i = 0;

    foreach($schedules_date as $schedule_date) {
        $schedule_active = '';
        if($i == 0){$schedule_active = 'active'; $i++;}
        $html .='<li role="presentation" class="'.$schedule_active.'">
                    <a href="#'.$schedule_date->slug.'" id="'.$schedule_date->slug.'-tab" role="tab" data-toggle="tab" aria-controls="'.$schedule_date->slug.'" aria-expanded="true">
                        '.$schedule_date->name.'
                    </a>
                </li>';
    }
    $html .='</ul>';}
    
    $html .= '<div class="tab-content schedule-list '.$atts['class'].'">';
    $d = 0;
    foreach($schedules_date as $schedule_date) {

        $schedule_active1 = '';
        $k = 0;
        if($d == 0){$schedule_active1 = 'active'; $d++;}

        $html .= '<div role="tabpanel" class="tab-pane fade in '.$schedule_active1.'" id="'.$schedule_date->slug.'" aria-labelledby="'.$schedule_date->slug.'-tab">';
        
                $args = array('post_type' => 'schedule','date'=>$schedule_date->slug, 'meta_key'=> 'tc_program_time', 'posts_per_page'=>'-1', 'orderby'=>'meta_value', 'order'=>'ASC');
                $schedule = new WP_QUery($args);
                global $post;

                if($schedule->have_posts()):
                    while($schedule->have_posts()): $schedule->the_post();

                    $program_date = get_post_meta ( get_the_ID (), 'tc_program_date', true );
                    $program_time = get_post_meta ( get_the_ID (), 'tc_program_time', true );
                    $program_duration = get_post_meta ( get_the_ID (), 'tc_program_duration', true );
                    $program_location = get_post_meta ( get_the_ID (), 'tc_program_location', true );
                    $program_level = get_post_meta ( get_the_ID (), 'tc_program_level', true );
                    $additional_info = get_post_meta( get_the_ID (), "tc_additional_info", true);
                    $title = apply_filters('the_title', get_post_field('post_title', $post->ID));


        $html .= '<div class="program">
                        <div class="row">

                            <div class="col-md-2 col-xs-3 text-right">
                                <span class="time">'.$program_time.'</span>
                            </div>

                            <div class="col-md-10 col-xs-9">';
                            if($atts['display_location'] == 'yes' and $program_location ){
                    $html .= '<span class="location">'.$program_location.'</span><br>' ;}
                    
                            if ($additional_info) {
                          $html .= '<h3>'.$title.'</h3>';      
                            } else {
                        $html .= '<h3><a href="'.get_permalink().'">'.$title.'</a></h3>'; }

                        if ( has_excerpt( $post->ID ) and $atts['display_excerpt'] == 'yes' ) {
                            $html .= ' <p>'.get_the_excerpt().'</p>';
                            } 
                
                 $connected = new WP_Query( array(
                      'connected_type' => 'speaker_program',
                      'connected_items' => $post,
                      'nopaging' => true,
                    ) );  

                 if($atts['display_speakers'] == 'yes') {
                     
                 if ( $connected->have_posts() ) :
                   while ( $connected->have_posts() ) : $connected->the_post();

                    $speaker_job = get_post_meta($post->ID, "tc_speaker_job", true);
                    $speaker_company = get_post_meta($post->ID, "tc_speaker_company", true);
                    $thumbnail_url = wp_get_attachment_image_src(get_post_thumbnail_id(), 'xevent-speaker-mini-thumb');
                    $image = $thumbnail_url[0];
                    $title = get_the_title();
                    $link = get_permalink();

                        
            $html .= '<div class="schedule-min-speaker">
                          <img class="img-responsive '.$image_shape.'" src="'.$image.'" alt="">
                          <div>
                            <h5 class="speaker-name"><a href="'.$link.'" class="html-popup">'.$title.'</a></h5>
                            <p class="company">'.$speaker_company.'</p>
                          </div>
                        </div>';

                         endwhile; 
                wp_reset_postdata(); 
                endif; }

                $html .= '</div></div></div>';

                           

                endwhile;
                endif;

                 $html .= '</div>';

                }    

       
        $html .= '</div></section>';

         return $html;
                           
}


if(function_exists('vc_map')){

vc_map( array(
   "name" => __("List Schedule Layout", 'xevent'),
   "base" => "schedule_list",
   "class" => "",
   "category" => __("ThemeCube Shortcodes", 'xevent'),
   "icon" => get_template_directory_uri().'/img/vc_icons/tc_sch_list.png',
   "params" => array(
    array(
        "type" => "dropdown",
        "class" => "",
        "heading" => __("Tab Align",'xevent'),
        "param_name" => "tab_align",
        "value" => array(   
            __('Left', 'xevent') => 'text-left',
            __('Right', 'xevent') => 'text-right',
            __('Center', 'xevent') => 'text-center',
        ),
        "std" => "text-center",
    ),
    array(
        'type' => 'checkbox',
        'heading' => __( 'Display Location', 'xevent' ),
        'param_name' => 'display_location',
        'value' => array( __( 'Yes', 'xevent' ) => 'yes' ),
    ),
    array(
        'type' => 'checkbox',
        'heading' => __( 'Display Excerpt', 'xevent' ),
        'param_name' => 'display_excerpt',
        'value' => array( __( 'Yes', 'xevent' ) => 'yes' ),
    ),
    array(
        'type' => 'checkbox',
        'heading' => __( 'Display Speakers', 'xevent' ),
        'param_name' => 'display_speakers',
        'value' => array( __( 'Yes', 'xevent' ) => 'yes' ),
    ),
    array(
        "type" => "dropdown",
        "class" => "",
        "heading" => __("Image Shape",'xevent'),
        "param_name" => "image_shape",
        "value" => array(   
            __('Square', 'xevent') => 'img-square',
            __('Circle', 'xevent') => 'img-circle',
        ),
        "std" => "img-square",
        "dependency" => array("element" => "display_speakers","value" => array("yes")),
    ),
     array(
        "type" => "textfield",
        "holder" => "div",
        "class" => "",
        "heading" => __("Class",'xevent'),
        "param_name" => "class",
        "value" => "",
    ),

     
   )
) );

}

// End List Schedule shortcode *******/


// Featured Talks Carousel Shortcode
add_shortcode('tc_featured_talks_carousel', 'shortcode_tc_featured_talks_carousel');
function shortcode_tc_featured_talks_carousel($atts, $content=null){
    global $xevent_var;
    global $post;
    $atts = shortcode_atts(
        array(        
        'itemperrow'     => '',
        'playdelay'      => '',
    ), $atts);
    $html ='';
    $html .= '
    
        <div id="featured-talks-carousel" class="clearfix">';
    
        $args = array('post_type'=>'schedule', 
                      'meta_key'=> 'tc_featured_talk',
                      'posts_per_page'=> '-1',
                    //'orderby'=>'meta_value',
                      'orderby'  => array( 'meta_key' => 'tc_program_date', 'order' => 'ASC' ), 
                      'order'=>'ASC');
        $project = new WP_Query($args);
        if($project->have_posts()):
            while($project->have_posts()):$project->the_post();
            $image = wp_get_attachment_url( get_post_meta( get_the_ID(), 'tc_header_bg_id', 1 ), '' );
            $stitle = get_the_title();
            $slink = get_permalink();
            $excerpt = get_the_excerpt();
            $featured_talk = get_post_meta($post-> ID, "tc_featured_talk", true);
            $program_date = get_post_meta ( get_the_ID (), 'tc_program_date', true );
            $program_time = get_post_meta ( get_the_ID (), 'tc_program_time', true );
            $program_location = get_post_meta ( get_the_ID (), 'tc_program_location', true );


            $connected = new WP_Query( array(
              'connected_type' => 'speaker_program',
                      'connected_items' => $post,
                      'nopaging' => true,
            ) );

        
            $html .= '<div class="hprogram">
                          <p class="location">'.$program_location.'</p>
                          <p class="date">'.$program_date.' - '.$program_time.'</p>
                          <h4><a href="'.$slink.'">'.$stitle.'</a></h4>
                          <p>'.$excerpt.'</p>';

                          if ( $connected->have_posts() ) :
                $html .= '<ul class="list-unstyled">';
                           while ( $connected->have_posts() ) : $connected->the_post();
                            $speaker_job = get_post_meta($post->ID, "tc_speaker_job", true);
                            $speaker_company = get_post_meta($post->ID, "tc_speaker_company", true);
                            $thumbnail_url = wp_get_attachment_image_src(get_post_thumbnail_id(), 'xevent-speaker-mini-thumb');
                            $title = get_the_title();
                            $link = get_permalink();
                          
                  $html .= '<li class="speaker"><a href="'.$link.'" class="html-popup">'.$title.'</a></li>';

                            endwhile;

                $html .= '</ul>';
                            
                            wp_reset_postdata(); 
                            endif;
                   



            $html .= '</div>';
                    
            endwhile;
        endif;

      $html .= '</div>';
      $html .='<script>
            jQuery(document).ready(function($){
                $("#featured-talks-carousel").owlCarousel({';
                if ($xevent_var['rtl_support']){ $html .='direction:\'rtl\',';} 
          $html .='itemsCustom : [
                        [0, 1],
                        [450, 1],
                        [600, 2],
                        [700, 3],
                        [1000, '.$atts['itemperrow'].'],
                        [1200, '.$atts['itemperrow'].'],
                        ],
                    pagination: true,
                    autoPlay: '.$atts['playdelay'].'                    
                    
                });
            });
        </script>';
      
    
    return $html;                        
}

if(function_exists('vc_map')){

vc_map( array(
   "name" => __("Featured Talks", 'xevent'),
   "base" => "tc_featured_talks_carousel",
   "class" => "",
   "category" => __("ThemeCube Shortcodes", 'xevent'),
   "icon" => get_template_directory_uri().'/img/vc_icons/tc_featured_talks.png',
   "description" => __('Add featured talks carousel','xevent'),
   "params" => array(
    array(
        "type" => "textfield",
        "holder" => "div",
        "class" => "",
        "heading" => __("How many items per row",'xevent'),
        "param_name" => "itemperrow",
        "value" => "",
    ),
    array(
        "type" => "textfield",
        "class" => "",
        "heading" => __("Autoplay",'xevent'),
        "param_name" => "playdelay",
        "value"  => '',
        "description" => __("Autoplay: true, false or ex. 3000",'xevent'),
    ),
     
   )
) );

}
// End Featured Talks Carousel Shortcode


// Workshops Layout
add_shortcode('wshop_layout', 'shortcode_wshop_layout');
function shortcode_wshop_layout($atts, $content=null){
    $atts = vc_map_get_attributes( 'wshop_layout', $atts );
    $atts = shortcode_atts(
        array(        
        'filter_tag'  => '',
        'display_jobtitle' => '',
        'display_company' => '',
        'wshop_row_items' => '',
        'sort_wshop' => '',
    ), $atts);

    $wshop_row_items = '';
    if($atts['wshop_row_items'] == 'col-md-4') $wshop_row_items = 'col-md-4 col-sm-6';
    if($atts['wshop_row_items'] == 'col-md-3') $wshop_row_items = 'col-md-3 col-sm-6';
    if($atts['wshop_row_items'] == 'column-5') $wshop_row_items = 'column-5';
    if($atts['wshop_row_items'] == 'col-md-2') $wshop_row_items = 'col-md-2 col-sm-6';

    $number = '';
    if($atts['wshop_row_items'] == 'col-md-4') $number = '3';
    if($atts['wshop_row_items'] == 'col-md-3') $number = '4';
    if($atts['wshop_row_items'] == 'column-5') $number = '5';
    if($atts['wshop_row_items'] == 'col-md-2') $number = '6';


    $sort_wshop = '';
    if($atts['sort_wshop'] == 'none') $sort_wshop = 'none';
    if($atts['sort_wshop'] == 'title') $sort_wshop = 'title';
    if($atts['sort_wshop'] == 'rand') $sort_wshop = 'rand';


    $html ='';
    $html .= '<section id="wshops-grid">';
    $html .= '<div class="row">';
        $args = array('post_type' => 'workshop', 'posts_per_page'=> '-1', 'orderby' => $sort_wshop, 'order' =>'ASC');
        $workshops = new WP_QUery($args);
        global $post; 
        if($workshops->have_posts()):
            while($workshops->have_posts()): $workshops->the_post();

             $thumbnail_url = wp_get_attachment_url( get_post_meta( get_the_ID(), 'tc_header_bg_id', 1 ), '' );
             $wshop_date = get_post_meta ( get_the_ID (), 'tc_wshop_date', true );
             $wshop_time = get_post_meta ( get_the_ID (), 'tc_wshop_time', true );
             $wshop_title = get_the_title();
             $wshop_excerpt = get_the_excerpt();
             $wshop_permalink = get_permalink();


             $connected = new WP_Query( array(
              'connected_type' => 'speaker_wshop',
                      'connected_items' => $post,
                      'nopaging' => true,
            ) );


            if ( $connected->have_posts() ) :
                   while ( $connected->have_posts() ) : $connected->the_post();
                    $speaker_job = get_post_meta($post->ID, "tc_speaker_job", true);
                    $speaker_company = get_post_meta($post->ID, "tc_speaker_company", true);
                    $title = get_the_title();
            
             endwhile; 
            wp_reset_postdata(); 
            endif;
            

                $html .= '<div class="'.$wshop_row_items.'">
                    <div class="workshop-item">
                      <div class="image">
                        <img class="img-responsive" src="'.$thumbnail_url.'" alt="">
                      </div>
                      <figcaption>
                        <h5>'.$wshop_title.'</h5>
                        <h6>'.$title.'</h6>
                        <p>'.$wshop_excerpt.'</p>
                        <footer>
                          <div class="date">'.$wshop_date.', '.$wshop_time.'</div>
                          <div class="icons">
                            <i class="pe-2x pe-7s-more"></i>
                          </div>
                        </footer>
                      </figcaption>
                      <a href="'.$wshop_permalink.'"></a>
                    </div>
                </div>';

                $html .= '';

            endwhile;
        endif;

       

    $html .= '</div></section>';
    return $html;
}


if(function_exists('vc_map')){

vc_map( array(
   "name" => __("Workshop Layout", 'xevent'),
   "base" => "wshop_layout",
   "class" => "",
   "category" => __("ThemeCube Shortcodes", 'xevent'),
   "icon" => get_template_directory_uri().'/img/vc_icons/tc_workshop.png',
   "description" => __('Display all workshops','xevent'),
   "params" => array(
    array(
        "type" => "dropdown",
        "class" => "",
        "heading" => __("How many items in a row?",'xevent'),
        "param_name" => "wshop_row_items",
        "value" => array(   
            __('3 items', 'xevent') => 'col-md-4',
            __('4 items', 'xevent') => 'col-md-3',
            __('5 items', 'xevent') => 'column-5',
            __('6 items', 'xevent') => 'col-md-2',
        ),
        "std" => "col-md-4",
    ),
    array(
        "type" => "dropdown",
        "class" => "",
        "heading" => __("Sort items by",'xevent'),
        "param_name" => "sort_wshop",
        "value" => array(   
            __('None', 'xevent') => 'none',
            __('Name', 'xevent') => 'title',
            __('Random', 'xevent') => 'rand',
        ),
        "std" => "col-md-4",
    ),
    

     
   )
) );

}
// End Workshops Layout


// Workshop Carousel Shortcode
add_shortcode('tc_workshop_carousel', 'shortcode_tc_workshop_carousel');
function shortcode_tc_workshop_carousel($atts, $content=null){
    global $xevent_var;
    global $post;
    $atts = shortcode_atts(
        array(        
        'itemperrow'     => '',
        'playdelay'      => '',
    ), $atts);
    $html ='';
    $html .= '
    
        <div id="wshop-carousel" class="clearfix">';
    
        $args = array('post_type'=>'workshop','posts_per_page'=> '-1');
        $project = new WP_Query($args);
        if($project->have_posts()):
            while($project->have_posts()):$project->the_post();
            $image = wp_get_attachment_url( get_post_meta( get_the_ID(), 'tc_header_bg_id', 1 ), '' );
            $wtitle = get_the_title();
            $wlink = get_permalink();


            $connected = new WP_Query( array(
              'connected_type' => 'speaker_wshop',
                      'connected_items' => $post,
                      'nopaging' => true,
            ) );

            
            $html .= '<figure class="effect-sadiex">
                        <img class="img-responsive" src="'.$image.'" alt="workshop"/>
                        <figcaption>
                          <h3>'.$wtitle.'</h3>';

                          if ( $connected->have_posts() ) :
                           while ( $connected->have_posts() ) : $connected->the_post();
                            $title = get_the_title();

                $html .= '<p>'.$title.'</p>';

                            endwhile; 
                           wp_reset_postdata(); 
                           endif;

                $html .= '<a href="'.$wlink.'">View more</a>
                        </figcaption>     
                      </figure>';
                    
            endwhile;
        endif;

      $html .= '</div>';
      $html .='<script>
            jQuery(document).ready(function($){
                $("#wshop-carousel").owlCarousel({';
                if ($xevent_var['rtl_support']){ $html .='direction:\'rtl\',';} 
          $html .='itemsCustom : [
                        [0, 1],
                        [450, 1],
                        [600, 2],
                        [700, 3],
                        [1000, '.$atts['itemperrow'].'],
                        [1200, '.$atts['itemperrow'].'],
                        ],
                    pagination: false,
                    autoPlay: '.$atts['playdelay'].'                    
                    
                });
            });
        </script>';
      
    
    return $html;                        
}

if(function_exists('vc_map')){

vc_map( array(
   "name" => __("Workshop Carousel", 'xevent'),
   "base" => "tc_workshop_carousel",
   "class" => "",
   "category" => __("ThemeCube Shortcodes", 'xevent'),
   "icon" => get_template_directory_uri().'/img/vc_icons/tc_workshop_carousel.png',
   "description" => __('Add workshop carousel','xevent'),
   "params" => array(
    array(
        "type" => "textfield",
        "holder" => "div",
        "class" => "",
        "heading" => __("How many items per row",'xevent'),
        "param_name" => "itemperrow",
        "value" => "",
    ),
    array(
        "type" => "textfield",
        "class" => "",
        "heading" => __("Autoplay",'xevent'),
        "param_name" => "playdelay",
        "value"  => '',
        "description" => __("Autoplay: true, false or ex. 3000",'xevent'),
    ),
     
   )
) );

}
// End Workshop Carousel Shortcode


// Infobox Shortcode ******
add_shortcode('tc_info_box', 'shortcode_tc_info_box');
function shortcode_tc_info_box($atts, $content=null){
    $atts = vc_map_get_attributes( 'tc_info_box', $atts );
    $atts = shortcode_atts(
        array(
        'iconfont'  => '',
        'select_icon_color'=>'',
        'icon_color'=>'',
        'select_icon_bg_color'=>'',
        'icon_bg_color'=>'#fdb713', 
        'iconsize'=>'',
        'title'     => 'The title',
        'title_color'=>'#2b2e34',
        'content_color'=>'#999999',
        'align' => 'center',  
        'class' => ''    
    ), $atts);
    $html ='';
    $align = '';
    if($atts['align'] == 'left') $align = 'text-left';
    if($atts['align'] == 'right') $align = 'text-right';
    if($atts['align'] == 'center') $align = 'text-center';


    $gradient = '';
    if($atts['select_icon_color'] == 'gradient') $gradient = 'gradient-text';

    $solid_bg = '';
    if($atts['select_icon_bg_color'] == 'solid') $solid_bg = 'style="background-color:'.$atts['icon_bg_color'].'; width:115px; height:115px; text-align:center !important;"';

    $gradient_bg = '';
    if($atts['select_icon_bg_color'] == 'gradient') $gradient_bg = 'gradient-bg with-bg';

    $iconsize = '';
    if($atts['iconsize'] == '2x') $iconsize = 'pe-2x';
    if($atts['iconsize'] == '3x') $iconsize = 'pe-3x';
    if($atts['iconsize'] == '4x') $iconsize = 'pe-4x';
    if($atts['iconsize'] == '5x') $iconsize = 'pe-5x';
    
    $html .= '<div class="infobox '.$align.' '.$atts['class'].'">
                <div class="icon-box '.$gradient_bg.'" '.$solid_bg.'>
                    <i style="color:'.$atts['icon_color'].'" class="'.$atts['iconfont'].' '.$gradient.' '.$iconsize.'"></i>
                </div>
                <h3 style="color:'.$atts['title_color'].';">'.$atts['title'].'</h3>
                <p style="color:'.$atts['content_color'].';">'.do_shortcode($content).'</p>
              </div>';
    return $html;                        
}

if(function_exists('vc_map')){
    global $xevent_font_icons;

vc_map( array(
   "name" => __("Info Box", 'xevent'),
   "base" => "tc_info_box",
   "category" => __("ThemeCube Shortcodes", 'xevent'),
   "icon" => get_template_directory_uri().'/img/vc_icons/tc_infobox.png',
   "description" => __('Add an infobox','xevent'),
   "params" => array(
        array(
            'type'          => 'iconpicker',
            'class'         => '',
            'holder'        =>'i',
            'heading'       => __( 'Icon', 'xevent' ),
            'param_name'    => 'iconfont',
            'settings' => array(
                'emptyIcon' => false, // default true, display an "EMPTY" icon?
                'type' => '',
                'source' => $xevent_font_icons,                    
            ),
            'description' => __( 'Select icon from library.', 'xevent'),                    
        ),
        array(
            "type" => "dropdown",
            "class" => "",
            "heading" => __("Icon Color",'xevent'),
            "param_name" => "select_icon_color",
            "value" => array(   
                    __('Solid Color', 'xevent') => 'solid',
                    __('Gradient', 'xevent') => 'gradient',
            ),
        ),
        array(
            "type" => "colorpicker",
            "class" => "",
            "heading" => __("Icon Color",'xevent'),
            "param_name" => "icon_color",
            "value" => "#2b2e34",
            "dependency" => array("element" => "select_icon_color","value" => array("solid")),
        ),
        array(
            "type" => "dropdown",
            "class" => "",
            "heading" => __("Icon Background",'xevent'),
            "param_name" => "select_icon_bg_color",
            "value" => array(
                    __('None', 'xevent') => 'none',
                    __('Solid Color', 'xevent') => 'solid',
                    __('Gradient', 'xevent') => 'gradient',
            ),
        ),
        array(
            "type" => "colorpicker",
            "class" => "",
            "heading" => __("Icon Background Color",'xevent'),
            "param_name" => "icon_bg_color",
            "value" => "#fdb713",
            "dependency" => array("element" => "select_icon_bg_color","value" => array("solid")),
        ),
        array(
            "type" => "dropdown",
            "holder" => "div",
            "class" => "",
            "heading" => __("Icon Size",'xevent'),
            "param_name" => "iconsize",
            "value" => array(   
                __('2x', 'xevent') => '2x',
                __('3x', 'xevent') => '3x',
                __('4x', 'xevent') => '4x',
                __('5x', 'xevent') => '5x',
            ),
        ),
        array(
            "type" => "textfield",
            "holder" => "h3",
            "class" => "",
            "heading" => __("Title",'xevent'),
            "param_name" => "title",
            "value" => "The title",
        ),
        array(
            "type" => "colorpicker",
            "class" => "",
            "heading" => __("Title Color",'xevent'),
            "param_name" => "title_color",
            "value" => "#2b2e34",
        ),
        array(
            "type" => "textarea",
            "holder" => "div",
            "class" => "",
            "heading" => __("Content",'xevent'),
            "param_name" => "content",
            "value" => "",
        ),
        array(
            "type" => "colorpicker",
            "class" => "",
            "heading" => __("Content Color",'xevent'),
            "param_name" => "content_color",
            "value" => "#999999",
        ),
        array(
            "type" => "dropdown",
            "class" => "",
            "heading" => __("Alignment",'xevent'),
            "param_name" => "align",
            "value" => array(   
                    __('center', 'xevent') => 'center',
                    __('left', 'xevent') => 'left',
                    __('right', 'xevent') => 'right',
            ),
        ),
      
   )
) );

}

// End Infobox Shortcode ******


// InfoBox 2 shortcode *******
add_shortcode('tc_info_box_2', 'shortcode_tc_info_box_2');
function shortcode_tc_info_box_2($atts, $content=null){
    $atts = vc_map_get_attributes( 'tc_info_box_2', $atts );
    $atts = shortcode_atts(
        array(
        'iconfont'  => '',
		'select_icon_color'=>'',
        'icon_color'=>'',
		'iconsize'=>'',
        'title'     => 'The title',
		'title_color'=>'#2b2e34',
		'content_color'=>'#999999',
		'class' => ''    
    ), $atts);
    $html ='';

    $gradient = '';
    if($atts['select_icon_color'] == 'gradient') $gradient = 'gradient-text';
	
	$iconsize = '';
    if($atts['iconsize'] == '2x') $iconsize = 'pe-2x';
    if($atts['iconsize'] == '3x') $iconsize = 'pe-3x';
    if($atts['iconsize'] == '4x') $iconsize = 'pe-4x';
	if($atts['iconsize'] == '5x') $iconsize = 'pe-5x';
	
    $html .= '<div class="infobox-2 '.$atts['class'].'">
				<div class="icon-box-2">
					<i style="color:'.$atts['icon_color'].';"  class="'.$atts['iconfont'].' '.$iconsize.' '.$gradient.'"></i>
				</div>
                <div class="description">
				    <h5 style="color:'.$atts['title_color'].';">'.$atts['title'].'</h5>
				    <p style="color:'.$atts['content_color'].';">'.do_shortcode($content).'</p>
                </div>
			  </div>';
    return $html;                        
}

if(function_exists('vc_map')){
	global $xevent_font_icons;

vc_map( array(
   "name" => __("Info Box 2", 'xevent'),
   "base" => "tc_info_box_2",
   "category" => __("ThemeCube Shortcodes", 'xevent'),
   "icon" => get_template_directory_uri().'/img/vc_icons/tc_infobox_alt.png',
   "description" => __('Add an infobox','xevent'),
   "params" => array(
        array(
    		'type'          => 'iconpicker',
    		'class'         => '',
    		'heading'       => __( 'Icon', 'xevent' ),
    		'param_name'    => 'iconfont',
    		'settings' => array(
    			'emptyIcon' => false, // default true, display an "EMPTY" icon?
    			'type' => '',
    			'source' => $xevent_font_icons, 					
    		),
    		'description' => __( 'Select icon from library.', 'xevent'),                    
    	),
        array(
            "type" => "dropdown",
            "class" => "",
            "heading" => __("Icon Color",'xevent'),
            "param_name" => "select_icon_color",
            "value" => array(   
                __('Solid Color', 'xevent') => 'solid',
                __('Gradient', 'xevent') => 'gradient',
            ),
        ),
        array(
            "type" => "colorpicker",
            "class" => "",
            "heading" => __("Icon Color",'xevent'),
            "param_name" => "icon_color",
            "value" => "#2b2e34",
            "dependency" => array("element" => "select_icon_color","value" => array("solid")),
        ),  
        array(
            "type" => "dropdown",
            "holder" => "div",
            "class" => "",
            "heading" => __("Icon Size",'xevent'),
            "param_name" => "iconsize",
            "value" => array(   
                __('2x', 'xevent') => '2x',
                __('3x', 'xevent') => '3x',
                __('4x', 'xevent') => '4x',
                __('5x', 'xevent') => '5x',
            ),
        ),
        array(
            "type" => "textfield",
            "holder" => "h5",
            "class" => "",
            "heading" => __("Title",'xevent'),
            "param_name" => "title",
            "value" => "The title",
        ),
        array(
            "type" => "colorpicker",
            "class" => "",
            "heading" => __("Title Color",'xevent'),
            "param_name" => "title_color",
            "value" => "#2b2e34",
        ),
        array(
            "type" => "textarea",
            "holder" => "div",
            "class" => "",
            "heading" => __("Content",'xevent'),
            "param_name" => "content",
            "value" => "",
        ),
        array(
            "type" => "colorpicker",
            "class" => "",
            "heading" => __("Content Color",'xevent'),
            "param_name" => "content_color",
            "value" => "#999999",
        ),
	  
   )
) );

}

// End Infobox 2 Shortcode ******


// Footer Card *******
add_shortcode('tc_footer_card', 'shortcode_tc_footer_card');
function shortcode_tc_footer_card($atts, $content=null){
    $atts = vc_map_get_attributes( 'tc_footer_card', $atts );
    $atts = shortcode_atts(
        array(
        'iconfont'          =>'',
        'select_icon_color' =>'',
        'icon_color'        =>'',
        'title'             =>'',
        'title_color'       =>'',
        'content_color'     =>'',
        'link'              =>'',
        'bg_color'          =>'',

    ), $atts);
    $html ='';

    $link = $atts['link'];
    
    $href = '';
    $href = vc_build_link( $link );

    $target ='';
    if($href['target']){ 
        $target = 'target= "'.$href['target'].'"';}

    $url ='';
    if($href['url']){ 
        $url = 'href= "'.$href['url'].'"';}

    $title ='';
    if($href['title']){ 
        $title = ''.$href['title'].'';}

    $button = '';
    if($atts['link'] != null) {
        $button = '<a class="common-button common-button-dark button-small" '.$url.' '.$target.'>'.$title.'</a>';
    }


    $icolor = '';
    if($atts['icon_color']){
        $icolor = 'style="color:'.$atts['icon_color'].';"';
    }

    $tcolor = '';
    if($atts['title_color']){
        $tcolor = 'style="color:'.$atts['title_color'].';"';
    }

    $ccolor = '';
    if($atts['content_color']){
        $ccolor = 'style="color:'.$atts['content_color'].';"';
    }

    $bcolor = '';
    if($atts['bg_color']){
        $bcolor = 'style="background-color:'.$atts['bg_color'].';"';
    }

    $gradient = '';
    if($atts['select_icon_color'] == 'gradient') $gradient = 'gradient-text';
    
    
    
    $html .= '<div '.$bcolor.' class="info-card">';
    if($atts['link']) {
        $html .='<a class="footer-card" '.$url.' '.$target.'>';
    }
        $html .= '<div class="left">
                    <i '.$icolor.' class="'.$atts['iconfont'].' '.$gradient.'"></i>
                </div>
                <div class="right">
                    <h5 '.$tcolor.'>'.$atts['title'].'</h5>
                    <p '.$ccolor.'>'.do_shortcode($content).'</p>
                </div>';
            if($atts['link']) {
                $html .='</a>';
            }
        $html .= '</div>';

    

    return $html;                        
}

if(function_exists('vc_map')){
    global $xevent_font_icons;

vc_map( array(
   "name" => __("Footer Card", 'xevent'),
   "base" => "tc_footer_card",
   "category" => __("ThemeCube Shortcodes", 'xevent'),
   "icon" => get_template_directory_uri().'/img/vc_icons/tc_footer_card.png',
   "description" => __('Add a footer card','xevent'),
   "params" => array(
        array(
            'type'          => 'iconpicker',
            'class'         => '',
            'heading'       => __( 'Icon', 'xevent' ),
            'param_name'    => 'iconfont',
            'settings' => array(
                'emptyIcon' => false, // default true, display an "EMPTY" icon?
                'type' => '',
                'source' => $xevent_font_icons,                    
            ),
            'description' => __( 'Select icon from library.', 'xevent'),                    
        ),
        array(
            "type" => "dropdown",
            "class" => "",
            "heading" => __("Icon Color",'xevent'),
            "param_name" => "select_icon_color",
            "value" => array(   
                __('Solid Color', 'xevent') => 'solid',
                __('Gradient', 'xevent') => 'gradient',
            ),
        ),
        array(
            "type" => "colorpicker",
            "class" => "",
            "heading" => __("Icon Color",'xevent'),
            "param_name" => "icon_color",
            "dependency" => array("element" => "select_icon_color","value" => array("solid")),
        ),  
        array(
            "type" => "textfield",
            "holder" => "h5",
            "class" => "",
            "heading" => __("Title",'xevent'),
            "param_name" => "title",
            "value" => "The title",
        ),
        array(
            "type" => "colorpicker",
            "class" => "",
            "heading" => __("Title Color",'xevent'),
            "param_name" => "title_color",
        ),
        array(
            "type" => "textarea",
            "holder" => "div",
            "class" => "",
            "heading" => __("Content",'xevent'),
            "param_name" => "content",
        ),
        array(
            "type" => "colorpicker",
            "class" => "",
            "heading" => __("Content Color",'xevent'),
            "param_name" => "content_color",
            "value" => "#999999",
        ),
        array(
            'type' => 'vc_link',
            'heading' => __( 'URL (Link)', 'xevent' ),
            'param_name' => 'link',
            'description' => __( 'Add link to the footer card.', 'xevent' ),
        ),
        array(
            "type" => "colorpicker",
            "class" => "",
            "heading" => __("Background Color",'xevent'),
            "param_name" => "bg_color",
        ),
      
   )
) );

}

// End Footer Card *******


// News Carousel Shortcode
add_shortcode('tc_news_carousel', 'shortcode_tc_news_carousel');
function shortcode_tc_news_carousel($atts, $content=null){
    global $xevent_var;
    $atts = shortcode_atts(
        array(        
        'class'     => '',
    ), $atts);
    $html ='';
    $html .= '
	<div class="container">
	<div class="row">
	
		<div id="news-carousel" class="owl-carousel '.$atts['class'].' clearfix">';
	
		$args = array('post_type'=>'post','posts_per_page'=> '-1', 'category_name'=>'News');
		$project = new WP_Query($args);
		if($project->have_posts()):
			while($project->have_posts()):$project->the_post();
			$thumbnail_url = wp_get_attachment_image_src(get_post_thumbnail_id(), 'news-carousel-image');

			
			
			
			$html .= '<div class="news-item">
                      <div class="image">
                        <img class="img-responsive" src="'.$thumbnail_url[0].'" alt="">
                      </div>
                      <figcaption>
                        <h5>'.get_the_title().'</h5>
                        <p>'.get_the_excerpt().'</p>
                        <footer>
                          <div class="date">'.get_the_date().'</div>
                          <div class="icons">
                            <i class="pe-2x pe-7s-more"></i>
                          </div>
                        </footer>
                      </figcaption>
                      <a href="'.get_permalink().'"></a>
                    </div>';
                    
			endwhile;
		endif;
    $html .= '</div></div></div>';
    
    return $html;                        
}

if(function_exists('vc_map')){

vc_map( array(
   "name" => __("News Carousel", 'xevent'),
   "base" => "tc_news_carousel",
   "class" => "",
   "category" => __("ThemeCube Shortcodes", 'xevent'),
   "icon" => get_template_directory_uri().'/img/vc_icons/tc_news_carousel.png',
   "description" => __('Add news carousel','xevent'),
   "params" => array(
    array(
         "type" => "textfield",
         "holder" => "div",
         "class" => "",
         "heading" => __("Class",'xevent'),
         "param_name" => "class",
         "value" => "",
      )
     
   )
) );

}

// End News Carousel Shortcode



// Funfacts shortcode
add_shortcode('tc_funfact', 'shortcode_tc_funfact');
function shortcode_tc_funfact($atts, $content=null){
    $atts = shortcode_atts(
        array(
        'iconfont'  		=> '',
		'icon_color'  		=> '',
		'counter'  			=> '',
		'counter_color'		=> '',
		'countertitle'		=> '',
		'ct_title_color' 	=> '',
		'class'				=> '',
		      
    ), $atts);
	
    $html ='';
    $html .= '<div class="funfact-item '.$atts['class'].' text-center">
				<div class="caption">
					<p class="counter" style="color:'.$atts['counter_color'].'">'.$atts['counter'].'</p>
					<p class="counter-title" style="color:'.$atts['ct_title_color'].'">'.$atts['countertitle'].'</p>';

                    if ($atts['iconfont']) {

        $html .= '<i style="color: '.$atts['icon_color'].'" class="pe pe-2x '.$atts['iconfont'].'"></i>'; }
		$html .= '</div>
			  </div>';
    return $html;                        
}

if(function_exists('vc_map')){

vc_map( array(
   "name" => __("Funfact", 'xevent'),
   "base" => "tc_funfact",
   "category" => __("ThemeCube Shortcodes", 'xevent'),
   "icon" => get_template_directory_uri().'/img/vc_icons/tc_funfact.png',
   "description" => __('Add funfacts','xevent'),
   "params" => array(
  	array(
		'type'          => 'iconpicker',
		'class'         => '',
		'heading'       => __( 'Icon', 'xevent' ),
		'param_name'    => 'iconfont',
		'settings' => array(
			'emptyIcon' => true, // default true, display an "EMPTY" icon?
			'type' => '',
			'source' => $xevent_font_icons	
		),
		'description' => __( 'Select icon from library.', 'xevent'),                    
	),
	
	  array(
         "type" => "colorpicker",
         "class" => "",
         "heading" => __("Icon Color",'xevent'),
         "param_name" => "icon_color",
      //   "value" => "#fdb713",
      ),
	  
    array(
         "type" => "textfield",
         "holder" => "div",
         "class" => "",
         "heading" => __("Counter",'xevent'),
         "param_name" => "counter",
         "value" => "",
      ),
	   array(
         "type" => "colorpicker",
         "class" => "",
         "heading" => __("Counter Color",'xevent'),
         "param_name" => "counter_color",
        // "value" => "#ffffff",
      ),
	  array(
         "type" => "textfield",
         "holder" => "div",
         "class" => "",
         "heading" => __("Counter title",'xevent'),
         "param_name" => "countertitle",
         "value" => "",
      ),
	  array(
         "type" => "colorpicker",
         "class" => "",
         "heading" => __("Counter Title Color",'xevent'),
         "param_name" => "ct_title_color",
         //"value" => "#ffffff",
      ), 
     
   )
) );

}

// End Funfacts shortcode


// Testimonial shortcode
add_shortcode('tc_testimonial', 'shortcode_tc_testimonial');
function shortcode_tc_testimonial($atts, $content=null){
    global $xevent_var;	
	$atts = vc_map_get_attributes( 'tc_testimonial', $atts );
    $atts = shortcode_atts(
        array( 
        'header'        => '',
        'header_color'  => '',
        'testimonial_content'       => '',
        'content_color' => '',
        'author_img'    => '',
        'author_name'   => '',
        'author_name_color'     => '',
        'author_title'          => '',
        'author_title_color'    => '',

    ), $atts);

    if(wp_get_attachment_image_src($atts['author_img'], 'xevent-speaker-mini-thumb')){
        $obj_thumbnail = wp_get_attachment_image_src($atts['author_img'], 'xevent-speaker-mini-thumb');
        $thumbnail = $obj_thumbnail['0'];
    }else if($atts['author_img']!= ''){
        $thumbnail = $atts['author_img'];
    }


    $html ='';
   
    $html .= '<div class="testimonial-item">
                    <div class="bubble">
                        <h5 style="color:'.$atts['header_color'].';">'.$atts['header'].'</h5>
                        <p style="color:'.$atts['content_color'].';">'.$atts['testimonial_content'].'</p>
                    </div>
                    <div class="info">
                        <div class="author-img">';
                            if ($atts['author_img']) {
                            $html .= '<img class="img-circle" src="'.$thumbnail.'" alt="">'; }
              $html .= '</div>
                        <div class="author">';
                            if ($atts['author_name']) {
                            $html .= '<p style="color:'.$atts['author_name_color'].';" class="author-name">'.$atts['author_name'].'</p>' ;}
                            if($atts['author_title']) {
                            $html .= '<p style="color:'.$atts['author_title_color'].';" class="author-title">'.$atts['author_title'].'</p>'; }
              $html .= '</div>
                    </div>
                </div>';


    
    return $html;                        
}

if(function_exists('vc_map')){

vc_map( array(
   "name" => __("Testimonials", 'xevent'),
   "base" => "tc_testimonial",
   "content_element" => true,
   "as_child" => array('only' => 'carousel'), 
   "class" => "",
   "category" => __("ThemeCube Shortcodes", 'xevent'),
   "icon" => get_template_directory_uri().'/img/vc_icons/tc_testimonial.png',
   "description" => __('Add testimonial bubble','xevent'),
   "params" => array(
    array(
        "type" => "textfield",
        "holder" => "div",
        "class" => "",
        "heading" => __("Header",'xevent'),
        "param_name" => "header",
        "value" => "",
    ),
    array(
        "type" => "colorpicker",
        "class" => "",
        "heading" => __("Header Color",'xevent'),
        "param_name" => "header_color",
        "value" => "#ffffff",
    ),
    array(
        "type" => "textarea",
        "holder" => "div",
        "class" => "",
        "heading" => __("Content",'xevent'),
        "param_name" => "testimonial_content",
        "value" => "",
    ),
    array(
        "type" => "colorpicker",
        "class" => "",
        "heading" => __("Content Color",'xevent'),
        "param_name" => "content_color",
        "value" => "#ffffff",
    ),
    array(
        "type" => "attach_image",
        "class" => "",
        "heading" => __("Author Image",'xevent'),
        "param_name" => "author_img",
        "value" => ""
    ),
    array(
        "type" => "textfield",
        "holder" => "div",
        "class" => "",
        "heading" => __("Author Name",'xevent'),
        "param_name" => "author_name",
        "value" => "",
    ),
    array(
        "type" => "colorpicker",
        "class" => "",
        "heading" => __("Header Color",'xevent'),
        "param_name" => "author_name_color",
        "value" => "#ffffff",
    ),
    array(
        "type" => "textfield",
        "holder" => "div",
        "class" => "",
        "heading" => __("Author Title",'xevent'),
        "param_name" => "author_title",
        "value" => "",
    ),
    array(
        "type" => "colorpicker",
        "class" => "",
        "heading" => __("Header Color",'xevent'),
        "param_name" => "author_title_color",
        "value" => "#ffffff",
    ),

     
   )
) );

}

// End Testimonial shortcode


// Carousel shortcode
add_shortcode('carousel', 'shortcode_carousel');
function shortcode_carousel($atts, $content=null){
    global $xevent_var;
    $atts = shortcode_atts(
        array(        
        'id'    		=> '', 
        'slidecount'    => '5',
        'playdelay'     => 'false',
		'singleitem'	=> 'false',       
    ), $atts);
    $html ='';

    $html ='';
    $html .='<div id="'.$atts['id'].'-carousel">'.do_shortcode( $content ).'</div>';
    $html .='<script>
            jQuery(document).ready(function($){
                $("#'.$atts['id'].'-carousel").owlCarousel({';
                if ($xevent_var['rtl_support']){ $html .='direction:\'rtl\',';} 
          $html .='itemsCustom : [
						[0, 1],
						[450, 1],
						[600, 2],
						[700, 2],
						[1000, '.$atts['slidecount'].'],
						[1200, '.$atts['slidecount'].'],
						],
                    autoPlay: '.$atts['playdelay'].',                    
                    pagination: true
                });
            });
        </script>';
	return $html;
}

if(function_exists('vc_map')){

vc_map( array(
     "name" => __("ThemeCube Carousel", 'xevent'),
     "base" => "carousel",
     "as_parent" => array('only' => 'pricing, tc_testimonial, sponsor'),
     "js_view" => 'VcColumnView',
     "content_element" => true,
     "class" => "",
     "category" => __("ThemeCube Shortcodes", 'xevent'),
     "icon" => get_template_directory_uri().'/img/vc_icons/tc_carousel.png',
     "params" => array(

         array(
             "type" => "textfield",
             "class" => "",
             "heading" => __("ID",'xevent'),
             "param_name" => "id",
             "value"  => '',
          ),
          array(
             "type" => "textfield",
             "class" => "",
             "heading" => __("Slide Count",'xevent'),
             "param_name" => "slidecount",
             "value"  => '5',
          ),
          array(
             "type" => "textfield",
             "class" => "",
             "heading" => __("Autoplay",'xevent'),
             "param_name" => "playdelay",
             "value"  => '',
			 "description" => __("Autoplay: true, false or ex. 3000",'xevent'),
          ),
		   array(
             "type" => "textfield",
             "class" => "",
             "heading" => __("Single Item",'xevent'),
             "param_name" => "singleitem",
             "value"  => 'false',
			 "description" => __("Single item: true or false",'xevent'),
          ),
           
)));



  
  if ( class_exists( 'WPBakeryShortCodesContainer' ) ) {
      class WPBakeryShortCode_carousel extends WPBakeryShortCodesContainer {
      }
  }

}

// End Carousel shortcode



// Social Icons shortcode
add_shortcode('tc_social', 'shortcode_tc_social');
function shortcode_tc_social($atts, $content=null){
    global $xevent_var;
    $atts = shortcode_atts(
        array(        
        'class'     => '',
    ), $atts);
    $html ='';
    $html .= '
	<ul class="social social-icons icon-circle list-unstyled list-inline">';
	
	if($xevent_var['facebook']){
	$html .= '<li><a href='.$xevent_var['facebook'].' target="_blank"><i class="fa fa-facebook"></i></a></li>';}
	if($xevent_var['twitter']){
	$html .= '<li><a href='.$xevent_var['twitter'].' target="_blank"><i class="fa fa-twitter"></i></a></li>';}
	if($xevent_var['instagram']){
	$html .= '<li><a href='.$xevent_var['instagram'].' target="_blank"><i class="fa fa-instagram"></i></a></li>';}
	if($xevent_var['google-plus']){
	$html .= '<li><a href='.$xevent_var['google-plus'].' target="_blank"><i class="fa fa-google-plus"></i></a></li>';}
	if($xevent_var['pinterest']){
	$html .= '<li><a href='.$xevent_var['pinterest'].' target="_blank"><i class="fa fa-pinterest"></i></a></li>';}
	if($xevent_var['youtube']){
	$html .= '<li><a href='.$xevent_var['youtube'].' target="_blank"><i class="fa fa-youtube"></i></a></li>';}
	if($xevent_var['vimeo']){
	$html .= '<li><a href='.$xevent_var['vimeo'].' target="_blank"><i class="fa fa-vimeo"></i></a></li>';}
                        
    $html .= '</ul>';
    
    return $html;                        
}

// End Social Icons shortcode



// Custom Google Map Shortcode
add_shortcode('googlemap', 'shortcode_googlemap');
function shortcode_googlemap($atts, $content=null){
	global $xevent_var;
     $atts = shortcode_atts(
        array(
        'map_id'			=>'',
		'map_coordinate'	=>'',
		'map_height'		=>'',
		
    ), $atts);

    $html ='';
    $html .='<div id="'.$atts['map_id'].'" style="height:'.$atts['map_height'].';">';
	$html .='</div>';
	$html .='
			<script>
			function initMap() {
        var customMapType = new google.maps.StyledMapType(
            '.$xevent_var['map_style'].'
          , {
          
        });
        var customMapTypeId = "'.$xevent_var['map_type'].'";

        var map = new google.maps.Map(document.getElementById("'.$atts['map_id'].'"), {
          zoom: '.$xevent_var['map_zoom'].',
          scrollwheel: '.$xevent_var['scrollwheel'].',
          center: {lat: '.$xevent_var['map-latitude'].', lng: '.$xevent_var['map-longtitude'].'}, 
          mapTypeControlOptions: {
            mapTypeIds: [google.maps.MapTypeId.'.$xevent_var['map_type'].', customMapTypeId]
          }


        });

        var image = new google.maps.MarkerImage("'.$xevent_var['marker_image']['url'].'",

                    new google.maps.Size(112, 112),

                    new google.maps.Point(0,0),

                    new google.maps.Point(18, 42)
                );
                
                // Add Marker
                var marker1 = new google.maps.Marker({
                    position: new google.maps.LatLng('.$xevent_var['map-latitude'].','.$xevent_var['map-longtitude'].'), 
                    map: map,       
                    icon: image // This path is the custom pin to be shown. Remove this line and the proceeding comma to use default pin
                }); 

        map.mapTypes.set(customMapTypeId, customMapType);
        map.setMapTypeId(customMapTypeId);
      }';
	$html .='</script>';
    $html .='<script src="https://maps.googleapis.com/maps/api/js?key='.$xevent_var['map-api'].'&callback=initMap"
    async defer></script>
';
	
				
    return $html;
}


if(function_exists('vc_map')){

vc_map( array(
   "name" => __("Custom Google Map", 'xevent'),
   "base" => "googlemap",
   "class" => "",
   "category" => __("ThemeCube Shortcodes", 'xevent'),
   "icon" => get_template_directory_uri().'/img/vc_icons/tc_google_map.png',
   "params" => array(
	  array(
         "type" => "textfield",
         "holder" => "div",
         "class" => "",
         "heading" => __("Map ID",'xevent'),
         "param_name" => "map_id",
         "value" => "",
      ),
	 
	  array(
         "type" => "textfield",
         "holder" => "div",
         "class" => "",
         "heading" => __("Map Height",'xevent'),
         "param_name" => "map_height",
         "value" => "",
         "description" => __("Ex. 230px",'xevent'),
      ),
   )
) );

}

// End Custom Google Map Shortcode

// ThemeCube Masonry Gallery
add_shortcode('tc_masonry_gallery', 'shortcode_tc_masonry_gallery');
function shortcode_tc_masonry_gallery($atts, $content=null){
    $atts = vc_map_get_attributes( 'tc_masonry_gallery', $atts );
    $atts = shortcode_atts(
        array(
        'item_per_row' => '',
        'zero_gap' => '',
        'images'    => '',
        'class' => '',
        
    ), $atts);
    
    $item_per_row = '';
    if($atts['item_per_row'] == 'col-md-4') $item_per_row = 'col-md-4 col-sm-4 col-xs-12';
    if($atts['item_per_row'] == 'col-md-3') $item_per_row = 'col-md-3 col-sm-3 col-xs-12';
    if($atts['item_per_row'] == 'col-md-2') $item_per_row = 'col-md-2 col-sm-4 col-xs-12';

    $zero_gap = '';
    if($atts['zero_gap'] == 'yes') {
        $zero_gap = 'no-padding';
    }

    $img = $atts['images']; 
    $images = explode( ',', $img );
        
    
    $html ='';
    $html .= '<div class="tc_masonry_gallery">';
    
     foreach ($images as $key => $value) {
         $image = wp_get_attachment_image_src(trim($value), 'full');
    
    $html .= '<div class="item '.$item_per_row.' '.$zero_gap.'">
                <a class="image-popup" href="'.$image[0].'" ><img class="img-responsive"  src="'.$image[0].'" alt="gallery"></a>
            </div>';
    
     }
    $html .= '</div>';
    return $html;                      
}

if(function_exists('vc_map')){

vc_map( array(
   "name" => __("ThemeCube Gallery", 'xevent'),
   "base" => "tc_masonry_gallery",
   "category" => __("ThemeCube Shortcodes", 'xevent'),
   "icon" => get_template_directory_uri().'/img/vc_icons/tc_sch_minimal.png',
   "description" => __('Add custom gallery','xevent'),
   "controls" => "full",
   "params" => array(
        array(
            "type" => "dropdown",
            "class" => "",
            "heading" => __("How many items in a row?",'xevent'),
            "param_name" => "item_per_row",
            "value" => array(   
                __('3 items', 'xevent') => 'col-md-4',
                __('4 items', 'xevent') => 'col-md-3',
                __('6 items', 'xevent') => 'col-md-2',
            ),
            "std" => "col-md-4",
        ),
        array(
            'type' => 'checkbox',
            'heading' => __( 'Zero gap between items?', 'xevent' ),
            'param_name' => 'zero_gap',
            'value' => array( __( 'Yes', 'xevent' ) => 'yes' ),
        ),
        array(
            "type" => "attach_images",
            "class" => "",
            "holder" => "",
            "heading" => __("Images",'xevent'),
            "param_name" => "images",
            "value" => "",
        ),
        array(
            "type" => "textfield",
            "class" => "",
            "heading" => __("Class",'xevent'),
            "param_name" => "class",
            "value" => "",
        ),
        

     
   )
) );

}

