<?php
/**
 * The template for displaying comments
 *
 * This is the template that displays the area of the page that contains both the current comments
 * and the comment form.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package XEvent
 */

/*
 * If the current post is protected by a password and
 * the visitor has not yet entered the password we will
 * return early without loading the comments.
 */
if ( post_password_required() ) {
	return;
}

$fields =  array(
		'author' => '<div class="col-sm-12"><div class="row"><span class="col-md-4"><input type="text" required name="author" id="name" class="input-form form-control" placeholder="Your Name*" /></span>',
		'email'  => '<span class="col-md-4"><input type="text" name="email" id="email" class="input-form form-control" required placeholder="Your Email*"/></span>',
		'phone'  => '<span class="col-md-4"><input type="text" name="phone" id="phone" class="input-form form-control" placeholder="Your Phone"/></span></div></div>',

	);

	$xevent_custom_comment_form = array( 
		'fields' => apply_filters( 'comment_form_default_fields', $fields ),
	  	'comment_field' => '
	  	<div class="col-sm-12 message-comment"><textarea name="comment" id="message" required rows="5" class="textarea-form form-control" placeholder="Your comment*" ></textarea></div>',
	  	'logged_in_as' => '<p class="logged-in-as col-md-12 col-sm-12">' . sprintf( wp_kses( __( 'Logged in as <a href="%1$s">%2$s</a> <a href="%3$s">Log out?</a>','xevent' ),array( 'a' => array( 'href' => array() ) ) ), admin_url( 'profile.php' ), $user_identity, wp_logout_url( apply_filters( 'the_permalink', get_permalink() ) ) ) . '</p>',
	  	'cancel_reply_link' => esc_html__( 'Cancel' , 'xevent' ),
	  	'comment_notes_before' => '<h3 class="col-md-12 ts-leave-comment">' . esc_html__( 'Leave Comment', 'xevent' ) . '</h3>',
	  	'comment_notes_after' => '',
	  	'title_reply' => '',
	  	'label_submit' => esc_html__( 'Post Comment' , 'xevent' ),
	  	'class_form'      => 'comment-form row',
	  	'class_submit' => 'common-button common-button-dark'
	);
?>

<div id="comments" class="comments-area">

	<?php
	// You can start editing here -- including this comment!
	if ( have_comments() ) : ?>
		<h3 class="comments-title">
			<?php
				printf( // WPCS: XSS OK.
					esc_html( _nx( 'One thought on &ldquo;%2$s&rdquo;', '%1$s thoughts on &ldquo;%2$s&rdquo;', get_comments_number(), 'comments title', 'xevent' ) ),
					number_format_i18n( get_comments_number() ),
					'<span>' . get_the_title() . '</span>'
				);
			?>
		</h3><!-- .comments-title -->

		<?php if ( get_comment_pages_count() > 1 && get_option( 'page_comments' ) ) : // Are there comments to navigate through? ?>
		<nav id="comment-nav-above" class="navigation comment-navigation" role="navigation">
			<h3 class="screen-reader-text"><?php esc_html_e( 'Comment navigation', 'xevent' ); ?></h3>
			<div class="nav-links">

				<div class="common-button common-button-dark nav-previous"><?php previous_comments_link( esc_html__( 'Older Comments', 'xevent' ) ); ?></div>
				<div class="common-button common-button-dark nav-next"><?php next_comments_link( esc_html__( 'Newer Comments', 'xevent' ) ); ?></div>

			</div><!-- .nav-links -->
		</nav><!-- #comment-nav-above -->
		<?php endif; // Check for comment navigation. ?>

		<ul class="comment-list list-unstyled">
			<?php
				wp_list_comments( array(
					'style'      => 'ul',
					'short_ping' => true,
					'type'		 =>'all',
					'callback'   => 'xevent_comment',
					'avatar_size'       => 90,
				) );
			?>
		</ul><!-- .comment-list -->

	
		<?php if ( get_comment_pages_count() > 1 && get_option( 'page_comments' ) ) : // Are there comments to navigate through? ?>
		<nav id="comment-nav-below" class="navigation comment-navigation" role="navigation">
			<h3 class="screen-reader-text"><?php esc_html_e( 'Comment navigation', 'xevent' ); ?></h3>
			<div class="nav-links">

				<div class="nav-previous"><?php previous_comments_link( esc_html__( 'Older Comments', 'xevent' ) ); ?></div>
				<div class="nav-next"><?php next_comments_link( esc_html__( 'Newer Comments', 'xevent' ) ); ?></div>

			</div><!-- .nav-links -->
		</nav><!-- #comment-nav-below -->
		<?php
		endif; // Check for comment navigation.

	endif; // Check for have_comments().


	// If comments are closed and there are comments, let's leave a little note, shall we?
	if ( ! comments_open() && get_comments_number() && post_type_supports( get_post_type(), 'comments' ) ) : ?>

		<p class="no-comments"><?php esc_html_e( 'Comments are closed.', 'xevent' ); ?></p>
	<?php
	endif;



	comment_form($xevent_custom_comment_form);
	?>

</div><!-- #comments -->
