<?php
/**
 * The main template file
 *
 * This is the most generic template file in a WordPress theme
 * and one of the two required files for a theme (the other being style.css).
 * It is used to display a page when nothing more specific matches a query.
 * E.g., it puts together the home page when no home.php file exists.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package XEvent
 */

get_header(); ?>

<?php
 global $post;
 $image = wp_get_attachment_url( get_queried_object_id( get_the_ID(), 'tc_header_bg_id', 1 ), 'full' );
 $overlay_bg = get_post_meta( get_queried_object_id(), 'tc_overlay_bg', true );
 $subhead = get_post_meta( get_queried_object_id(), 'tc_subhead', true );
 $title_color = get_post_meta( get_queried_object_id(), 'tc_title_color', true );
 $align = get_post_meta ( get_queried_object_id(), 'tc_header_align', true );
 $dotted_bg = get_post_meta ( get_queried_object_id(), 'tc_dotted_bg', true );
 $bg_effect = get_post_meta( get_queried_object_id(), 'tc_bg_effect', true );
 $color1 = get_post_meta( get_queried_object_id(), 'tc_color1', true );
 $color2 = get_post_meta ( get_queried_object_id (), 'tc_color2', true );
 $degree = get_post_meta ( get_queried_object_id (), 'tc_degree', true );
 $opacity = get_post_meta ( get_queried_object_id (), 'tc_opacity', true );
 $blended_bg = get_post_meta ( get_queried_object_id (), 'tc_blended_bg', true );

 $html ='';

 $overlay_color ='';
 if($overlay_bg){$overlay_color = 'style=background-color:'.$overlay_bg.'';}

 $title_style = '';
 if($title_color){$title_style = 'style=color:'.$title_color.'';}

 $dotted = '';
 if($dotted_bg) {$dotted = 'dotted_bg';}

 $bg_image ='';
 if($image){$bg_image ='background-image:url('.$image.');';}

 $gradient_options ='';
 if(($bg_effect) == 'rainbow') {
  $gradient_options = 'data-type=linear data-degrees='.$degree.' data-color='.$color1.'-'.$color2.' data-opacity='.$opacity.'';}

 $blendcss = '';
 if(($bg_effect) == 'blended'){$blendcss = 'background-color:'.$blended_bg.';';}

?>

	<div id="header-<?php the_ID(); ?>" class="<?php echo esc_html($bg_effect); ?> header header-posts-page" <?php echo esc_html($gradient_options); ?> style="<?php echo esc_html($bg_image); ?> <?php echo esc_html($blendcss); ?>" >
      <div class="inner <?php echo esc_html($dotted); ?>" <?php echo esc_html($overlay_color); ?>>

        <div class="container">
          <div class="row">
            
            <div class="col-lg-12 <?php echo esc_html($align) ?>">
                	<h1><?php single_post_title(); ?></h1>
                    <?php if($subhead){ ?>
	                  <p <?php echo esc_attr($title_style);?> class="subhead"><?php echo esc_html($subhead); ?></p>
	                <?php }; ?>
            </div>

          </div>
        </div>
      </div>
    </div>
	
	<div class="blog-posts">
		<div class="container">
			<div class="row">

				<div class="col-lg-9 col-md-9 col-sm-8">
					<?php
					if ( have_posts() ) :

						if ( is_home() && ! is_front_page() ) : ?>

						<?php
						endif;

						/* Start the Loop */
						while ( have_posts() ) : the_post();

							/*
							 * Include the Post-Format-specific template for the content.
							 * If you want to override this in a child theme, then include a file
							 * called content-___.php (where ___ is the Post Format name) and that will be used instead.
							 */
							get_template_part( 'template-parts/content', get_post_format() );

						endwhile;

						the_posts_navigation();

					else :

						get_template_part( 'template-parts/content', 'none' );

					endif; ?>
				</div>

				<div class="col-lg-3 col-md-3 col-sm-4">
					<?php get_sidebar(); ?>
				</div>

			</div>
		</div>
	</div>
<?php
get_footer();
