<?php
 
	$absolute_path = explode('wp-content', $_SERVER['SCRIPT_FILENAME']);
	$xevent_load = $absolute_path[0] . 'wp-load.php';
	require_once($xevent_load);

	header('Content-type: text/css');
  	header('Cache-control: must-revalidate');

  	if (!function_exists('xevent_hex2rgb')){
	function xevent_hex2rgb($hex) {
		$hex = str_replace("#", "", $hex);
			if(strlen($hex) == 3) {
			  $r = hexdec(substr($hex,0,1).substr($hex,0,1));
			  $g = hexdec(substr($hex,1,1).substr($hex,1,1));
			  $b = hexdec(substr($hex,2,1).substr($hex,2,1));
			} else {
			  $r = hexdec(substr($hex,0,2));
			  $g = hexdec(substr($hex,2,2));
			  $b = hexdec(substr($hex,4,2));
			}
			$rgb = array($r, $g, $b);
			return $rgb; // returns an array with the rgb values
		}
 	}

	$xevent_var = get_option('xevent_var');
	$nav_height = $xevent_var['logo_dimension']['height']/2 . 'px';
	$menu_button = $xevent_var['logo_dimension']['height']/4 . 'px';
	$gradient1 = $xevent_var['tc_gradient_color']['from'];
	$gradient2 = $xevent_var['tc_gradient_color']['to'];
	$prm_rgba = xevent_hex2rgb($xevent_var['primary_color']);
	$preload_color = $xevent_var['tc_preload_color'];
	$preload_rgba = xevent_hex2rgb($xevent_var['tc_preload_color']);
	$preload_gradiendt1 = $xevent_var['tc_preload_bg_gradient_color']['from'];
	$preload_gradiendt2 = $xevent_var['tc_preload_bg_gradient_color']['to'];


?>

<?php if (false == $xevent_var['search_bar']): ?>
	.navbar-custom .pe-7s-search { display: none; }
<?php endif; ?>

<?php if ( is_admin_bar_showing() ) {?>
  .navbar-fixed-top { top: 46px !important; } /*wordpress adminbar height small screen */
   @media (min-width: 768px) {
    .navbar-fixed-top { top: 32px !important; } /*wordpress adminbar height big screen */
   }
<?php }?>


.navbar-custom .nav>li>a {
	padding-top: <?php echo esc_attr($nav_height); ?>;
	padding-bottom: <?php echo esc_attr($nav_height); ?>
}

.default .nav li.menu-button a {
	padding-top: <?php echo esc_attr($menu_button); ?>;
	padding-bottom: <?php echo esc_attr($menu_button); ?>;
	margin-top: <?php echo esc_attr($menu_button); ?>;
	margin-bottom: <?php echo esc_attr($menu_button); ?>;
	margin-left: 10px;
	-webkit-transition: all 0.3s;
    -moz-transition: all 0.3s;
    -o-transition: all 0.3s;
    -ms-transition: all 0.3s;
    transition: all 0.3s;
}

.gradient-text {
  background: -webkit-linear-gradient(<?php echo esc_attr($gradient1); ?>, <?php echo esc_attr($gradient2); ?>);
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
}

.gradient-bg {
	background: -webkit-linear-gradient(-45deg, <?php echo esc_attr($gradient1); ?>, <?php echo esc_attr($gradient2); ?>) !important;
	background: -o-linear-gradient(-45deg, <?php echo esc_attr($gradient1); ?>, <?php echo esc_attr($gradient2); ?>) !important;
	background: linear-gradient(-45deg,  <?php echo esc_attr($gradient1); ?>, <?php echo esc_attr($gradient2); ?>) !important; 
}

@media screen and (min-width: 769px) {
	.fixed .dropdown-menu:before {
	    background: -webkit-linear-gradient(left, <?php echo esc_attr($gradient1); ?>, <?php echo esc_attr($gradient2); ?>) !important;
		background: -o-linear-gradient(left, <?php echo esc_attr($gradient1); ?>, <?php echo esc_attr($gradient2); ?>) !important;
		background: linear-gradient(left, <?php echo esc_attr($gradient1); ?>, <?php echo esc_attr($gradient2); ?>) !important; 
	}
}

.hprogram:hover {
	background: -webkit-linear-gradient(-45deg, <?php echo esc_attr($gradient1); ?>, <?php echo esc_attr($gradient2); ?>) !important;
	background: -o-linear-gradient(-45deg, <?php echo esc_attr($gradient1); ?>, <?php echo esc_attr($gradient2); ?>) !important;
	background: linear-gradient(-45deg,  <?php echo esc_attr($gradient1); ?>, <?php echo esc_attr($gradient2); ?>) !important; 
}

figure.effect-sadiex figcaption::before {
	background: -webkit-linear-gradient(top, rgba(<?php echo esc_attr($prm_rgba[0]); ?>,<?php echo esc_attr($prm_rgba[1]); ?>, <?php echo esc_attr($prm_rgba[2]); ?>,0) 0%, rgba(<?php echo esc_attr($prm_rgba[0]); ?>,<?php echo esc_attr($prm_rgba[1]); ?>, <?php echo esc_attr($prm_rgba[2]); ?>,0.8) 75%);
	background: linear-gradient(to bottom, rgba(<?php echo esc_attr($prm_rgba[0]); ?>,<?php echo esc_attr($prm_rgba[1]); ?>, <?php echo esc_attr($prm_rgba[2]); ?>,0) 0%, rgba(<?php echo esc_attr($prm_rgba[0]); ?>,<?php echo esc_attr($prm_rgba[1]); ?>, <?php echo esc_attr($prm_rgba[2]); ?>,0.8) 75%);
}

figure.effect-zoe figcaption {
	background: rgba(<?php echo esc_attr($prm_rgba[0]); ?>,<?php echo esc_attr($prm_rgba[1]); ?>, <?php echo esc_attr($prm_rgba[2]); ?>, 0.7);
}

figure.effect-sadie figcaption::before {
	background: -webkit-linear-gradient(top, rgba(<?php echo esc_attr($prm_rgba[0]); ?>,<?php echo esc_attr($prm_rgba[1]); ?>, <?php echo esc_attr($prm_rgba[2]); ?>,0) 0%, rgba(<?php echo esc_attr($prm_rgba[0]); ?>,<?php echo esc_attr($prm_rgba[1]); ?>, <?php echo esc_attr($prm_rgba[2]); ?>,0.7) 75%);
	background: linear-gradient(to bottom, rgba(<?php echo esc_attr($prm_rgba[0]); ?>,<?php echo esc_attr($prm_rgba[1]); ?>, <?php echo esc_attr($prm_rgba[2]); ?>,0) 0%, rgba(<?php echo esc_attr($prm_rgba[0]); ?>,<?php echo esc_attr($prm_rgba[1]); ?>, <?php echo esc_attr($prm_rgba[2]); ?>,0.7) 75%);	
}

.preload-gradient-bg {
	background: -webkit-linear-gradient(-45deg, <?php echo esc_attr($preload_gradiendt1); ?>, <?php echo esc_attr($preload_gradiendt2); ?>) !important;
	background: -o-linear-gradient(-45deg, <?php echo esc_attr($preload_gradiendt1); ?>, <?php echo esc_attr($preload_gradiendt2); ?>) !important;
	background: linear-gradient(-45deg,  <?php echo esc_attr($preload_gradiendt1); ?>, <?php echo esc_attr($preload_gradiendt2); ?>) !important; 
}

.loader {
	border-top: 1.1em solid rgba(<?php echo esc_attr($preload_rgba[0]); ?>, <?php echo esc_attr($preload_rgba[1]); ?>, <?php echo esc_attr($preload_rgba[2]); ?>, 0.2);
	border-right: 1.1em solid rgba(<?php echo esc_attr($preload_rgba[0]); ?>, <?php echo esc_attr($preload_rgba[1]); ?>, <?php echo esc_attr($preload_rgba[2]); ?>, 0.2);
	border-bottom: 1.1em solid rgba(<?php echo esc_attr($preload_rgba[0]); ?>, <?php echo esc_attr($preload_rgba[1]); ?>, <?php echo esc_attr($preload_rgba[2]); ?>, 0.2);
	border-left: 1.1em solid <?php echo esc_attr($preload_color);?>;
}

@media only screen and (max-width: 480px) {

	.container .navbar-collapse,
	.container-fluid .navbar-collapse {
		background-color: <?php echo esc_attr($xevent_var['nav_bg_color']['rgba']) ?> !important; 
	}

	.navbar-header {
		padding-top: <?php echo esc_attr($menu_button); ?>;
		padding-bottom: <?php echo esc_attr($menu_button); ?>
	}

	.navbar-custom img.logo {
		height: <?php echo esc_attr($xevent_var['logo_dimension_mobile']['height']); ?> !important;
	}

	.navbar-custom .nav>li>a {
		padding-top: <?php echo esc_attr($menu_button); ?>;
		padding-bottom: <?php echo esc_attr($menu_button); ?>
	}

	.default .nav li.menu-button a {
		margin-left: 0 !important;
	}

}
 


@media only screen and (min-device-width : 768px) and (max-device-width : 1024px) and (-webkit-min-device-pixel-ratio: 2) {

	.container .navbar-collapse,
	.container-fluid .navbar-collapse {
		background-color: <?php echo esc_attr($xevent_var['nav_bg_color']['rgba']) ?> !important; 
	}

	.navbar-header {
		padding-top: <?php echo esc_attr($menu_button); ?>;
		padding-bottom: <?php echo esc_attr($menu_button); ?>
	}

	.navbar-custom img.logo {
		height: <?php echo esc_attr($xevent_var['logo_dimension_mobile']['height']); ?> !important;
	}

	.navbar-custom .nav>li>a {
		padding-top: <?php echo esc_attr($menu_button); ?>;
		padding-bottom: <?php echo esc_attr($menu_button); ?>
	}

	.default .nav li.menu-button a {
		margin-left: 0 !important;
	}



}

	
